<%@ Page language="c#" Codebehind="OccasionalEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.DailyTimeKeeping.OccasionalEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML 
xmlns:uc1>
  <HEAD>
		<title>Occasional Volunteer TimeSheet</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body id="occBody" runat="server">
		<FORM id="OccasionalTimeSheet" name="OccasionalTimeSheet" method="post" runat="server">
			<P>
			</P>
			<P align="center">
				<FONT face="Verdana"></FONT>
			</P>
			<P align="center">
				<FONT face="Verdana"></FONT>
			</P>
			<H2 align="center">
				<FONT face="Verdana">
					<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
				</FONT>
			</H2>
			<H3 align="center">
				Occasional Hours
			</H3>
			<P align="center">
				<asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:label>
				<asp:Label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Size="Larger"></asp:Label>
				<asp:ValidationSummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:ValidationSummary></P>
			<P>
				<TABLE cellSpacing="3" cellPadding="3" align="center" border="0">
					<TR>
						<TD colSpan="3">
							<TABLE cellSpacing="0" cellPadding="4" align="center" border="0">
								<TR bgColor="gainsboro">
									<TD noWrap align="right" width="50%" colSpan="2">
										<P align="center"><U>M</U>onth/Year:
											<asp:dropdownlist id="MonthList" accessKey="M" runat="server"></asp:dropdownlist></P>
										<U></U>
									</TD>
								</TR>
								<TR>
									<TD noWrap align="right" width="50%" bgColor="#fff5ee"><U>S</U>ort List By:
										<asp:dropdownlist id="SortByList" runat="server" accessKey="S">
											<asp:ListItem Value="D">Date</asp:ListItem>
											<asp:ListItem Value="O">Organization</asp:ListItem>
											<asp:ListItem Value="I">ID</asp:ListItem>
										</asp:dropdownlist>
									</TD>
									<TD noWrap align="left" width="50%" bgColor="#fff5ee">
										<asp:button id="GetTimeButton" runat="server" DESIGNTIMEDRAGDROP="124" Text="Get Time Sheets" ToolTip="Displays any existing volunteer timesheet associated with the selected month and year." accessKey="G"></asp:button>
									</TD>
								</TR>
							</TABLE>
							<TABLE cellSpacing="0" cellPadding="3" border="0" style="HEIGHT: 24px">
								<TR>
									<TD align="right" colSpan="2">
										<HR width="100%">
										<H4 align="center">
											<U>Enter/Edit Form&nbsp; </U><FONT color="red">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</FONT>
										</H4>
									</TD>
								</TR>
								<TR>
									<TD align="right" bgColor="silver">
										<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
									</TD>
									<TD bgColor="silver"></TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="silver">
										Current Record Id:
									</TD>
									<TD bgColor="silver">
										<asp:label id="OccasionalIdLabel" runat="server"></asp:label>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0">
										<FONT color="#ff0000">*</FONT> <U>D</U>ate:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:dropdownlist id="DayList" runat="server" accessKey="D">
											<asp:ListItem Value="0">Day</asp:ListItem>
											<asp:ListItem Value="1">1</asp:ListItem>
											<asp:ListItem Value="2">2</asp:ListItem>
											<asp:ListItem Value="3">3</asp:ListItem>
											<asp:ListItem Value="4">4</asp:ListItem>
											<asp:ListItem Value="5">5</asp:ListItem>
											<asp:ListItem Value="6">6</asp:ListItem>
											<asp:ListItem Value="7">7</asp:ListItem>
											<asp:ListItem Value="8">8</asp:ListItem>
											<asp:ListItem Value="9">9</asp:ListItem>
											<asp:ListItem Value="10">10</asp:ListItem>
											<asp:ListItem Value="11">11</asp:ListItem>
											<asp:ListItem Value="12">12</asp:ListItem>
											<asp:ListItem Value="13">13</asp:ListItem>
											<asp:ListItem Value="14">14</asp:ListItem>
											<asp:ListItem Value="15">15</asp:ListItem>
											<asp:ListItem Value="16">16</asp:ListItem>
											<asp:ListItem Value="17">17</asp:ListItem>
											<asp:ListItem Value="18">18</asp:ListItem>
											<asp:ListItem Value="19">19</asp:ListItem>
											<asp:ListItem Value="20">20</asp:ListItem>
											<asp:ListItem Value="21">21</asp:ListItem>
											<asp:ListItem Value="22">22</asp:ListItem>
											<asp:ListItem Value="23">23</asp:ListItem>
											<asp:ListItem Value="24">24</asp:ListItem>
											<asp:ListItem Value="25">25</asp:ListItem>
											<asp:ListItem Value="26">26</asp:ListItem>
											<asp:ListItem Value="27">27</asp:ListItem>
											<asp:ListItem Value="28">28</asp:ListItem>
											<asp:ListItem Value="29">29</asp:ListItem>
											<asp:ListItem Value="30">30</asp:ListItem>
											<asp:ListItem Value="31">31</asp:ListItem>
										</asp:dropdownlist>
										&nbsp;
										<asp:label id="MonthLabel" runat="server">Month</asp:label>
										&nbsp;
										<asp:label id="YearLabel" runat="server">Year</asp:label>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0">
										<FONT color="#ff0000">*</FONT> <U>O</U>rganization:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:listbox id="OrganizationList" runat="server" Rows="1" accessKey="O"></asp:listbox>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0">
										<FONT color="#ff0000">*</FONT> S<U>e</U>rvice:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:listbox id="ServiceList" runat="server" Rows="1" accessKey="E"></asp:listbox>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0"><U>C</U>omments:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:textbox id="NameOrOrganizationText" runat="server" ToolTip="Enter comments regarding the volunteer. Up to 40 characters are allowed." accessKey="C" MaxLength="40"></asp:textbox>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0">
										<FONT color="#ff0000">*</FONT> N<U>u</U>mber in Group:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:textbox id="NumberInGroupText" runat="server" ToolTip="Enter the number of occasional volunteers who worked on the project." MaxLength="3" accessKey="U"></asp:textbox>
										<asp:rangevalidator id="NumberValidator" runat="server" ErrorMessage="Group in number should be between 1 and 999" Height="19px" ControlToValidate="NumberInGroupText" MaximumValue="999" MinimumValue="1" ToolTip="Group in Number was out of range" Type="Integer" CssClass="Validator">  !</asp:rangevalidator>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#c0c0c0">
										&nbsp;<FONT color="#ff0000">*</FONT> Total <U>H</U>ours:
									</TD>
									<TD bgColor="#c0c0c0">
										<asp:textbox id="TotalHoursText" runat="server" ToolTip="Enter the total hours the occasional volunteers worked for the selected date." MaxLength="4" accessKey="H"></asp:textbox>
										<asp:rangevalidator id="HoursValidator" runat="server" ErrorMessage="Total Hours should be between 1 and 9999" Height="19px" ControlToValidate="TotalHoursText" MaximumValue="9999" MinimumValue="1" ToolTip="Total Hours was out of range" Type="Integer" CssClass="Validator">  !</asp:rangevalidator>
									</TD>
								</TR>
								<TR bgColor="#dcdcdc">
									<TD align="right" bgColor="#ffffff">
										<asp:button id="PostButton" runat="server" Text="Post" ToolTip="Saves the new or updated record." accessKey="P"></asp:button>&nbsp;&nbsp;
									</TD>
									<TD style="WIDTH: 368px" bgColor="#ffffff">&nbsp;
										<asp:button id="NewButton" runat="server" Text="Clear" ToolTip="Clears the fields allowing you to add a new occasional volunteers timesheet." accessKey="N"></asp:button>
										&nbsp;&nbsp;&nbsp;<asp:button id="DeleteButton" runat="server" Text="Delete" Enabled="False" ToolTip="Deletes the selected record." accessKey="L"></asp:button>
										&nbsp;&nbsp;&nbsp; <INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accessKey="X" size="1" title="Exits the current screen and displays the initial VSS screen.">&nbsp;&nbsp;
									</TD>
								</TR>
								<TR>
									<TD align="middle" colSpan="2">
										<HR width="100%">
										<H4>
											<U>Current Occasional Time Sheets For </U>
											<asp:label id="DataGridHeaderLabel" runat="server" Font-Bold="True">[site]</asp:label>
											&nbsp;
										</H4>
									</TD>
								</TR>
								<TR>
									<TD align="middle" colSpan="2">
										<asp:datagrid id="TimeSheetDataGrid" runat="server" CellSpacing="3" CellPadding="2" AutoGenerateColumns="False" BackColor="WhiteSmoke" accessKey="M">
<Columns>
<asp:ButtonColumn Text="Edit" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
<asp:BoundColumn DataField="ID" ReadOnly="True" HeaderText="ID">
<HeaderStyle Font-Bold="True" BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="DateWorkProvided" HeaderText="Day" DataFormatString="{0:d}">
<HeaderStyle Font-Bold="True" BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="TotalHours" HeaderText="Total Hours">
<HeaderStyle Font-Bold="True" BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="VolunteerOrganizationOrganizationName" HeaderText="Organization">
<HeaderStyle Font-Bold="True" BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
<asp:BoundColumn DataField="Comments" HeaderText="Comments">
<HeaderStyle Font-Bold="True" BackColor="#33CCCC">
</HeaderStyle>
</asp:BoundColumn>
</Columns>
										</asp:datagrid>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
			<P>
			</P>
		</FORM>
	</body>
</HTML>
