<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="MealListEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.MealListEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>MealListEdit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="MealListEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">
				Edit Meals</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" ForeColor="Green" EnableViewState="False"></asp:label></P>
			<H3 align="center"><asp:panel id="Panel1" runat="server" Width="741px" Height="442px">
					<P>
						<TABLE id="Table1" cellSpacing="0" cellPadding="3" border="0">
							<TR>
								<TD></TD>
								<TD></TD>
							</TR>
							<TR>
								<TD bgColor="#dcdcdc">
									<P align="right">Add Volunteer <U>L</U>ast Name:</P>
								</TD>
								<TD bgColor="#dcdcdc">
									<asp:TextBox id="VolunteerText" accessKey="L" runat="server" MaxLength="30" ToolTip="Enter the first 3 or more characters of the Volunteer's last name and press 'Choose Volunteer'"></asp:TextBox>
									<asp:dropdownlist id="VolunteerList" accessKey="S" runat="server" Visible="False" AutoPostBack="True">
										<asp:ListItem Value="0"> -Select Volunteer-</asp:ListItem>
									</asp:dropdownlist>
									<asp:Button id="ChooseButton" runat="server" ToolTip="Retrieves the selected volunteers record. " Text="Choose Volunteer"></asp:Button></TD>
							</TR>
							<TR>
								<TD bgColor="#dcdcdc">
									<P align="right">or Unscheduled Volunteer:</P>
								</TD>
								<TD bgColor="#dcdcdc">
									<asp:TextBox id="UnscheduledText" runat="server" MaxLength="30" ToolTip="Enter the unscheduled volunteer's name. Up to 30 characters are allowed."></asp:TextBox></TD>
							</TR>
							<TR>
								<TD bgColor="#dcdcdc"></TD>
								<TD bgColor="#dcdcdc"></TD>
							</TR>
							<TR>
								<TD></TD>
								<TD>
									<asp:Button id="PostButton" runat="server" ToolTip="Add the Volunteer to the Meal List for today." Text="Add"></asp:Button>&nbsp;&nbsp;
									<asp:button id="NewButton" accessKey="N" runat="server" ToolTip="Clear data in order to add a Volunteer to the Meal List." Text="Clear"></asp:button>&nbsp;&nbsp;
									<INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton"></TD>
							</TR>
						</TABLE>
					</P>
					<H4 align="center">
						<asp:Label id="FirstMealLabel" runat="server" Visible="False">First</asp:Label>
						<asp:Label id="SecondMealLabel" runat="server" Visible="False">Second</asp:Label>&nbsp;Meal 
						for
						<asp:Label id="MealListDateLabel" runat="server">date</asp:Label></H4>
					<H4 align="center">
						<asp:DataGrid id="MealListGrid" runat="server" AutoGenerateColumns="False">
							<Columns>
								<asp:ButtonColumn Text="Print" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
								<asp:BoundColumn Visible="False" DataField="MealId" HeaderText="Id"></asp:BoundColumn>
								<asp:BoundColumn DataField="VolunteerName" HeaderText="Volunteer"></asp:BoundColumn>
								<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerId"></asp:BoundColumn>
								<asp:BoundColumn DataField="UnscheduledName" HeaderText="Unscheduled"></asp:BoundColumn>
								<asp:BoundColumn DataField="TimeLastPrinted" HeaderText="Printed"></asp:BoundColumn>
								<asp:BoundColumn DataField="IsReprinted" HeaderText="Reprinted"></asp:BoundColumn>
								<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
							</Columns>
						</asp:DataGrid></H4>
					<P align="center">&nbsp;</P>
					<H4 align="center">
						<asp:ListBox id="TermList" runat="server" Visible="False" Enabled="False"></asp:ListBox></H4>
				</asp:panel></H3>
			<P align="center"><asp:label id="MealNumberLabel" runat="server" Font-Size="Medium" Visible="False"> Display which Meals:</asp:label><asp:radiobuttonlist id="MealNumberList" runat="server" Visible="False" AutoPostBack="True" RepeatDirection="Horizontal">
					<asp:ListItem Value="1">First Meal</asp:ListItem>
					<asp:ListItem Value="2">Second Meal</asp:ListItem>
				</asp:radiobuttonlist></P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
