<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="OrganizationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.OrganizationEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML 
xmlns:uc1>
  <HEAD>
		<title>Organization Code Add/Edit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body id="orgBody" runat="server">
		<FORM id="orgForm" name="orgForm" method="post" runat="server">
			<P align="center"><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<TABLE cellSpacing="1" cellPadding="1" width="100%" border="0">
				<TR>
					<TD>
						<H3 align="center">Organization Codes
						</H3>
					</TD>
				</TR>
				<TR>
					<TD align="middle"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Green" EnableViewState="False"></asp:label></TD>
				</TR>
			</TABLE>
			<TABLE cellSpacing="0" cellPadding="3" width="border=1" align="center" border="0">
				<TR>
					<TD noWrap align="right">Edit an&nbsp;Existing&nbsp;<U>O</U>rganization Code:
					</TD>
					<TD noWrap><asp:dropdownlist id="OrganizationCodeList" accessKey="O" runat="server"></asp:dropdownlist><asp:button id="EditButton" accessKey="I" runat="server" ToolTip="Displays the selected organization record. Only local organization records (900-999) are editable from this screen." Enabled="False" Text="Edit"></asp:button></TD>
				</TR>
				<TR>
					<TD noWrap align="right">or&nbsp;Generate a&nbsp;<U>N</U>ew&nbsp;Organization Code:
					</TD>
					<TD noWrap><asp:button id="NewButton" accessKey="N" runat="server" ToolTip="Allows you to add a new organization record. " Enabled="False" Text="New"></asp:button></TD>
				</TR>
				<TR>
					<TD noWrap colSpan="2">
						<HR style="WIDTH: 100%" width="251.57%" SIZE="2">
						&nbsp;
					</TD>
				</TR>
				<TR>
					<TD noWrap align="right" bgColor="#c0c0c0">
						<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
					</TD>
					<TD noWrap bgColor="#c0c0c0"></TD>
				</TR>
				<TR bgColor="#dcdcdc">
					<TD noWrap align="right" bgColor="#c0c0c0"><FONT 
      color=red>* </FONT>O<U>r</U>ganization Code:
					</TD>
					<TD noWrap bgColor="#c0c0c0"><asp:textbox id="OrganizationIdText" accessKey="R" runat="server" ToolTip="Enter an organization code consisting of three digits. This code must be within the range of 900 to 999, inclusive." MaxLength="3"></asp:textbox><asp:label id="OrganizationIdLabel" runat="server" Visible="False"></asp:label><asp:rangevalidator id="RangeValidator1" runat="server" ErrorMessage="Current Record should be a 3 digit number" CssClass="Validator" Type="Integer" MinimumValue="900" MaximumValue="999" ControlToValidate="OrganizationIdText">  !</asp:rangevalidator></TD>
				</TR>
				<TR bgColor="#dcdcdc">
					<TD noWrap align="right" bgColor="#c0c0c0"><FONT color="red">* </FONT>Na<U>m</U>e 
						of Organization:
					</TD>
					<TD noWrap bgColor="#c0c0c0"><asp:textbox id="OrganizationNameText" accessKey="M" runat="server" ToolTip="Enter the name of the organization. Up to 30 characters are allowed." MaxLength="30"></asp:textbox><asp:label id="OrganizationNameLabel" runat="server" Visible="False"></asp:label></TD>
				</TR>
				<TR bgColor="#dcdcdc">
					<TD noWrap align="right" bgColor="#c0c0c0">A<U>b</U>breviation:
					</TD>
					<TD noWrap bgColor="#c0c0c0"><asp:textbox id="OrganizationAbbreviationText" accessKey="B" runat="server" ToolTip="Enter the abbreviation for the organization. Up to 6 characters are allowed." MaxLength="6"></asp:textbox><asp:label id="OrganizationAbbreviationLabel" runat="server" Visible="False"></asp:label></TD>
				</TR>
				<TR bgColor="#dcdcdc">
					<TD noWrap align="right" bgColor="#c0c0c0">In<U>a</U>ctive:
					</TD>
					<TD noWrap bgColor="#c0c0c0"><asp:checkbox id="OrganizationInactiveCheckBox" accessKey="A" runat="server" Text="Yes"></asp:checkbox></TD>
				</TR>
				<TR>
					<TD style="HEIGHT: 30px" noWrap></TD>
					<TD style="HEIGHT: 30px" noWrap>
						<asp:button id="PostButton" runat="server" Text="Post" Enabled="False" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
						<!--<asp:button id="OrganizationCancelButton" runat="server" Text="Exit" accessKey="X"></asp:button> --><INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton">
					</TD>
				</TR>
				<TR>
					<TD noWrap colSpan="2"></TD>
				</TR>
			</TABLE>
			<P align="center">
				&nbsp;
				<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</FORM>
	</body>
</HTML>
