<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Trace="FALSE" Codebehind="GamesSingleDayEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Games.GamesSingleDayEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML xmlns:uc1>
	<HEAD>
		<title>Post Time Sheet: Single Day, Multiple Volunteers</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="GamesSingleDayEdit" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Single Day Hours</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True"
					Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green"
					Font-Size="Larger"></asp:label></P>
			<asp:datagrid id="GamesList" runat="server" Font-Bold="True" Visible="False" AutoGenerateColumns="False"
				Width="591px" HorizontalAlign="Center">
				<HeaderStyle Font-Size="Smaller" Font-Names="Verdana" Font-Bold="True" ForeColor="White" VerticalAlign="Middle"
					BackColor="Navy"></HeaderStyle>
				<Columns>
					<asp:BoundColumn Visible="False" DataField="HostInstitutionId" HeaderText="Host Station"></asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="GameTypeId" HeaderText="Game Type"></asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="ID"></asp:BoundColumn>
					<asp:BoundColumn DataField="HostInstitutionName" HeaderText="Host Institution"></asp:BoundColumn>
					<asp:BoundColumn DataField="GameTypeName" HeaderText="Game Type"></asp:BoundColumn>
					<asp:BoundColumn DataField="StartDate" HeaderText="Start Date" DataFormatString="{0:d}"></asp:BoundColumn>
					<asp:BoundColumn DataField="EndDate" HeaderText="End Date" DataFormatString="{0:d}"></asp:BoundColumn>
					<asp:BoundColumn Visible="False" DataField="GameCode" HeaderText="GameCode"></asp:BoundColumn>
					<asp:EditCommandColumn ButtonType="PushButton" UpdateText="" CancelText="" EditText="Select"></asp:EditCommandColumn>
				</Columns>
			</asp:datagrid><asp:panel id="GameVolunteersPanel" runat="server" Width="742px" HorizontalAlign="Center" Height="251px">
				<H4>Current Registered Volunteers</H4>
				<P>
					<asp:panel id="SearchPanel" runat="server" Width="596px" Height="32px">Search&nbsp;by 
<asp:dropdownlist id="SearchOptionList" runat="server">
							<asp:ListItem Value="FullNameForReports">Name</asp:ListItem>
							<asp:ListItem Value="SocialSecurityNumber">SSN</asp:ListItem>
							<asp:ListItem Value="NameOfInstitution">Station</asp:ListItem>
						</asp:dropdownlist>&nbsp;for 
<asp:textbox id="SearchText" runat="server"></asp:textbox>&nbsp; 
<asp:button id="SearchButton" runat="server" Text="Search"></asp:button>&nbsp;&nbsp; 
<asp:button id="ResetButton" runat="server" Text="Reset"></asp:button></asp:panel></P>
				<DIV align="center">
					<asp:datagrid id="GameVolunteersGrid" runat="server" HorizontalAlign="Center" Width="600px" AutoGenerateColumns="False"
						AllowSorting="True" BorderStyle="Solid" AllowPaging="True">
						<SelectedItemStyle BackColor="Highlight"></SelectedItemStyle>
						<AlternatingItemStyle BackColor="Silver"></AlternatingItemStyle>
						<HeaderStyle Font-Bold="True" Wrap="False" ForeColor="White" VerticalAlign="Middle" BackColor="Navy"></HeaderStyle>
						<Columns>
							<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="VolStationId"></asp:BoundColumn>
							<asp:BoundColumn Visible="False" DataField="StationProfileId" HeaderText="VolProfileId"></asp:BoundColumn>
							<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="" EditText="Select"></asp:EditCommandColumn>
							<asp:BoundColumn DataField="FullNameForReports" HeaderText="Name"></asp:BoundColumn>
							<asp:BoundColumn DataField="SocialSecurityNumber" HeaderText="SSN"></asp:BoundColumn>
							<asp:BoundColumn DataField="NameOfInstitution" HeaderText="Station"></asp:BoundColumn>
						</Columns>
						<PagerStyle Visible="False" NextPageText="" Height="2px" BorderColor="Black" PrevPageText=""
							Position="TopAndBottom"></PagerStyle>
					</asp:datagrid>
					<asp:panel id="PagerPanel" runat="server" Width="597px" Height="31px">
						<TABLE id="Table1" style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" border="0">
							<TR>
								<TD>
									<asp:ImageButton id="FIRST" runat="server" ImageUrl="../Images/Paging/NAV_FIRST_67x18.gif" CommandArgument="FIRST"></asp:ImageButton></TD>
								<TD>
									<asp:ImageButton id="Previous" runat="server" ImageUrl="../Images/Paging/NAV_PREV_67x18.gif" CommandArgument="PREV"></asp:ImageButton></TD>
								<TD align="center"><STRONG>Page</STRONG>&nbsp;
									<asp:TextBox id="CurrentPage" runat="server" Width="22px"></asp:TextBox>&nbsp;<STRONG>of</STRONG>
									<asp:Label id="PageCount" runat="server" Font-Size="X-Small" Font-Bold="True">Count</asp:Label>&nbsp;
									<asp:ImageButton id="GO" runat="server" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" CommandArgument="GO"></asp:ImageButton></TD>
								<TD>
									<asp:ImageButton id="Next" runat="server" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" CommandArgument="NEXT"
										ImageAlign="Right"></asp:ImageButton></TD>
								<TD>
									<asp:ImageButton id="LAST" runat="server" ImageUrl="../Images/Paging/NAV_LAST_67x18.gif" CommandArgument="LAST"
										ImageAlign="Right"></asp:ImageButton></TD>
							</TR>
						</TABLE>
					</asp:panel></DIV>
				<DIV align="center"><INPUT id="Button1" title="Exits the current screen and returns to the Edit Volunteer screen."
						accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value"
						type="button" size="25" value="Exit" name="ExitButton"></DIV>
			</asp:panel>
			<!--
				Add Edit Panel
			--><asp:panel id="EditPanel" runat="server" Width="743px" Height="133px">
				<TABLE style="WIDTH: 605px; HEIGHT: 517px" cellSpacing="0" cellPadding="3" align="center"
					border="0">
					<TR>
						<TD align="right" colSpan="2">
							<H4 align="center"><U>Enter/Edit Form</U></H4>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 211px" align="right" bgColor="#dcdcdc"><FONT color="red">(*) fields 
								are required!</FONT>
						</TD>
						<TD bgColor="#dcdcdc">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 211px" align="right" bgColor="#dcdcdc">Volunteer Name:</TD>
						<TD bgColor="#dcdcdc">
							<asp:Label id="ChooseVolunteerLabel" runat="server">ChooseVolunteerLabel</asp:Label></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 211px" align="right">&nbsp; <FONT color="#ff0000">* </FONT><U>D</U>ate:
						</TD>
						<TD align="left">
							<asp:dropdownlist id="DayList" accessKey="D" runat="server" Width="128px" AutoPostBack="True"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 211px" align="right" bgColor="#dcdcdc"><FONT color="#ff0000">*</FONT>
							Com<U>b</U>. Code:
						</TD>
						<TD bgColor="#dcdcdc">
							<asp:dropdownlist id="CombinationList" accessKey="B" runat="server" Width="400px"></asp:dropdownlist></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="WIDTH: 211px" align="right"><FONT color="red">*</FONT> <U>H</U>ours:
						</TD>
						<TD>
							<asp:dropdownlist id="HourList" accessKey="H" runat="server">
								<asp:ListItem Value="0" Selected="True">Hour</asp:ListItem>
								<asp:ListItem Value="1">1</asp:ListItem>
								<asp:ListItem Value="2">2</asp:ListItem>
								<asp:ListItem Value="3">3</asp:ListItem>
								<asp:ListItem Value="4">4</asp:ListItem>
								<asp:ListItem Value="5">5</asp:ListItem>
								<asp:ListItem Value="6">6</asp:ListItem>
								<asp:ListItem Value="7">7</asp:ListItem>
								<asp:ListItem Value="8">8</asp:ListItem>
								<asp:ListItem Value="9">9</asp:ListItem>
								<asp:ListItem Value="10">10</asp:ListItem>
								<asp:ListItem Value="11">11</asp:ListItem>
								<asp:ListItem Value="12">12</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 211px" align="right">
							<asp:button id="PostButton" accessKey="P" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button></TD>
						<TD>
							<asp:button id="DeleteButton" accessKey="D" runat="server" Text="Delete" ToolTip="Deletes the selected record."
								Enabled="False"></asp:button><INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen."
								accessKey="X" onclick="window.location.href='/vtk/Games/GamesSingleDayEdit.aspx' + '?StationId=' + form.StationId.value"
								type="button" value="Exit" name="ExitButton">
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 65px" align="center" colSpan="2">
							<HR width="100%">
							<H4><U>Current Time Sheets For</U>
								<asp:label id="DataGridHeader" runat="server"> [date]</asp:label></H4>
						</TD>
					</TR>
					<TR>
						<TD align="center" colSpan="2">
							<P>
								<asp:panel id="Panel1" runat="server" Width="596px" Height="32px">Search&nbsp;by 
<asp:dropdownlist id="SearchColumn" runat="server">
										<asp:ListItem Value="DisplayName">Volunteer</asp:ListItem>
										<asp:ListItem Value="HoursWorked">Hours</asp:ListItem>
										<asp:ListItem Value="OrganizationName">Organization</asp:ListItem>
										<asp:ListItem Value="ServiceName">Service</asp:ListItem>
									</asp:dropdownlist>&nbsp;for 
<asp:textbox id="SearchTxt" runat="server"></asp:textbox>&nbsp; 
<asp:button id="btnSearch" runat="server" Text="Search"></asp:button>&nbsp;&nbsp; 
<asp:button id="btnReset" runat="server" Text="Reset"></asp:button></asp:panel></P>
							<P>
								<asp:DataGrid id="TimeSheetDataGrid" accessKey="M" runat="server" Width="597px" AutoGenerateColumns="False"
									AllowPaging="True" BackColor="WhiteSmoke">
									<HeaderStyle BorderColor="#00C0C0"></HeaderStyle>
									<Columns>
										<asp:ButtonColumn Text="Edit" ButtonType="PushButton" CommandName="Select">
											<HeaderStyle BackColor="#33CCCC"></HeaderStyle>
										</asp:ButtonColumn>
										<asp:BoundColumn DataField="DisplayName" HeaderText="Volunteer">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn DataField="HoursWorked" HeaderText="Hours">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerID">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="StationId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="OrganizationId" HeaderText="OrganizationId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ServiceId" HeaderText="ServiceId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="ScheduleId" HeaderText="ScheduleId">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="DateWorked" HeaderText="DateWorked">
											<HeaderStyle Font-Bold="True" BackColor="#33CCCC"></HeaderStyle>
										</asp:BoundColumn>
									</Columns>
									<PagerStyle Visible="False"></PagerStyle>
								</asp:DataGrid></P>
							<P>
								<TABLE id="Table2" style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" border="0">
									<TR>
										<TD>
											<asp:ImageButton id="FIRST2" runat="server" ImageUrl="../Images/Paging/NAV_FIRST_67x18.gif" CommandArgument="FIRST2"></asp:ImageButton></TD>
										<TD>
											<asp:ImageButton id="PREV2" runat="server" ImageUrl="../Images/Paging/NAV_PREV_67x18.gif" CommandArgument="PREV2"></asp:ImageButton></TD>
										<TD align="center"><STRONG>Page</STRONG>&nbsp;
											<asp:TextBox id="CurrentPage2" runat="server" Width="22px"></asp:TextBox>&nbsp;<STRONG>of</STRONG>
											<asp:Label id="PageCount2" runat="server" Font-Size="X-Small" Font-Bold="True">Count</asp:Label>&nbsp;
											<asp:ImageButton id="GO2" runat="server" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" CommandArgument="GO2"></asp:ImageButton></TD>
										<TD>
											<asp:ImageButton id="NEXT2" runat="server" ImageUrl="../Images/Paging/NAV_NEXT_67x18.gif" CommandArgument="NEXT2"
												ImageAlign="Right"></asp:ImageButton></TD>
										<TD>
											<asp:ImageButton id="LAST2" runat="server" ImageUrl="../Images/Paging/NAV_LAST_67x18.gif" CommandArgument="LAST2"
												ImageAlign="Right"></asp:ImageButton></TD>
									</TR>
								</TABLE>
							</P>
						</TD>
					</TR>
				</TABLE>
			</asp:panel>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			<P>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<asp:datagrid id="CombinationDataGrid" runat="server" Visible="False" AutoGenerateColumns="False"
					Enabled="False">
					<Columns>
						<asp:BoundColumn DataField="ID" HeaderText="Id"></asp:BoundColumn>
						<asp:BoundColumn DataField="OrganizationId" HeaderText="OrganizationId"></asp:BoundColumn>
						<asp:BoundColumn DataField="ScheduleId" HeaderText="ScheduleId"></asp:BoundColumn>
						<asp:BoundColumn DataField="BenefitingServiceId" HeaderText="BenefitingServiceId"></asp:BoundColumn>
					</Columns>
				</asp:datagrid><asp:listbox id="TermList" runat="server" Visible="False" Enabled="False"></asp:listbox></P>
		</form>
	</body>
</HTML>
