<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="AwardCodesEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.AwardCodesEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML xmlns:uc1>
	<HEAD>
		<title>Awards Code Edit</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript (ECMAScript)">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="AwardCodesEdit" method="post" runat="server">
			<P><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			</P>
			<P>
				<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="left" width="10%">&nbsp;
						</TD>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>
								National Award Codes
							</H3>
						</TD>
						<TD vAlign="top" align="right" width="10%">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="5">
							<asp:Label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:Label>
							<asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Bold="True" Font-Size="Larger"></asp:label>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P>
				<TABLE cellSpacing="0" cellPadding="3" align="center" border="0">
					<TR>
						<TD align="middle">
							<P align="right">
								Edit an <U>E</U>xisting Award Code:
							</P>
						</TD>
						<TD align="left">
							<asp:DropDownList id="AwardCodeList" runat="server" accessKey="E"></asp:DropDownList>
							<asp:button id="EditButton" runat="server" Text="Edit" accessKey="I" ToolTip="Allows you to edit an existing Award Code record."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD align="middle">
							<P align="right">
								or Add a <U>N</U>ew Award Code:
							</P>
						</TD>
						<TD align="left">
							<asp:button id="NewButton" runat="server" Text="New" accessKey="N" ToolTip="Allows you to add a new  Award Code record."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD align="middle" colSpan="2">
							<HR style="WIDTH: 100%" width="1" SIZE="2">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT> <U>C</U>ode:
							</P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left">
								<asp:TextBox id="CodeText" runat="server" MaxLength="2" Width="50px" accessKey="C" ToolTip="Enter the award code."></asp:TextBox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT> Na<U>m</U>e:
							</P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left">
								<asp:TextBox id="NameText" runat="server" Width="300px" accessKey="M" ToolTip="Enter the award name. "></asp:TextBox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="right"><FONT color="red">*</FONT> Required <U>H</U>ours:
							</P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left">
								<asp:TextBox id="HoursText" runat="server" MaxLength="6" Width="50px" accessKey="H" ToolTip="Enter the number of hours required to earn this award."></asp:TextBox>
							</P>
						</TD>
					</TR>
					<TR>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="right">
								<U>A</U>ward Hours:
							</P>
						</TD>
						<TD align="middle" bgColor="#c0c0c0">
							<P align="left">
								<asp:TextBox id="AHoursText" accessKey="A" runat="server" ToolTip="Enter the award hours for this award." Width="50px" MaxLength="6"></asp:TextBox>
							</P>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD align="right" bgColor="#c0c0c0" style="HEIGHT: 32px">
							Award <U>T</U>ype:
						</TD>
						<TD align="middle" bgColor="#c0c0c0" style="HEIGHT: 32px">
							<P align="left">
								<asp:DropDownList id="AwardTypeList" runat="server" accessKey="T"></asp:DropDownList></P>
						</TD>
					</TR>
					<TR>
						<TD style="HEIGHT: 32px" align="right" bgColor="#c0c0c0"></TD>
						<TD style="HEIGHT: 32px" align="middle" bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD align="middle" colSpan="2">
							<P align="center">
								<asp:Button id="PostButton" runat="server" Text="Post" Enabled="False" accessKey="P" ToolTip="Saves the new or updated record."></asp:Button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx'" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">
							</P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				&nbsp;
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter>
			</P>
			<P>
			</P>
		</form>
	</body>
</HTML>
