<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="NationalOrganizationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.NationalOrganizationEdit" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML 
xmlns:uc1>
  <HEAD>
		<title>National Organization code Add/Edit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<FORM id="orgForm" name="orgForm" method="post" runat="server">
			<P><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			</P>
			<P>
				<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="left" width="10%">&nbsp;
						</TD>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>
								National Organization Codes
							</H3>
						</TD>
						<TD vAlign="top" align="right" width="10%">&nbsp;
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="5">
							<asp:Label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:Label>
							<asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Bold="True" Font-Size="Larger"></asp:label>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="left">
				<TABLE cellSpacing="0" cellPadding="3" width="border=1" align="center" border="0">
					<TR>
						<TD noWrap align="right">
							Edit an&nbsp;Existing&nbsp;Organization <U>C</U>ode:
						</TD>
						<TD noWrap>
							<asp:DropDownList id="OrganizationCodeList" runat="server" accessKey="C"></asp:DropDownList>
							<asp:button id="EditButton" runat="server" Enabled="False" Text="Edit" accessKey="I" ToolTip="Allows you to edit National Organization Codes."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right">
							or&nbsp;Generate a&nbsp;<U>N</U>ew&nbsp;Organization Code:
						</TD>
						<TD noWrap>
							<asp:button id="NewButton" runat="server" Enabled="False" Text="New" accessKey="N" ToolTip="Allows you to add a new Organization Code."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD noWrap colSpan="2">
							<HR style="WIDTH: 100%" width="1" SIZE="2">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right" bgColor="#c0c0c0">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD noWrap bgColor="#c0c0c0"></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="silver"><FONT color="red">*</FONT> Organization <U>C</U>ode:
						</TD>
						<TD noWrap bgColor="silver">
							<asp:textbox id="OrganizationIdText" runat="server" MaxLength="3" ToolTip="3 digit number that is less than 900" accessKey="C"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="silver"><FONT color="red">*</FONT> Name of <U>O</U>rganization:
						</TD>
						<TD noWrap bgColor="silver">
							<asp:textbox id="OrganizationNameText" runat="server" MaxLength="35" ToolTip="35 characters" accessKey="O"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0">
							Ab<U>b</U>reviation:
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:textbox id="OrganizationAbbreviationText" runat="server" MaxLength="6" ToolTip="6 characters" accessKey="B"></asp:textbox>
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right" bgColor="#c0c0c0"></TD>
						<TD noWrap bgColor="#c0c0c0"></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0">
							National Advisory Committee <U>M</U>ember:
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:CheckBox id="NACCheckBox" runat="server" Text="Yes" ToolTip="Check if Yes" accessKey="M" AutoPostBack="True"></asp:CheckBox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap bgColor="#c0c0c0">
							<P align="right">
								<asp:Label id="NACStatusLabel" runat="server" Visible="False">NAC Membership Status:</asp:Label>&nbsp;</P>
						</TD>
						<TD noWrap background="" bgColor="#c0c0c0">
							<asp:DropDownList id="NACStatusList" runat="server" Visible="False" accessKey="S"></asp:DropDownList>
						</TD>
					</TR>
					<TR>
						<TD noWrap bgColor="#c0c0c0">
							<P align="right">
								<asp:Label id="ExecutiveLabel" runat="server" Visible="False">NAC Executive Member:</asp:Label></P>
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:CheckBox id="ExecutiveCheckBox" runat="server" Text="Yes" Visible="False" ToolTip="Check if Yes" accessKey="E"></asp:CheckBox></TD>
					</TR>
					<TR>
						<TD noWrap bgColor="#c0c0c0">
							<P align="right">Annual <U>J</U>oint Review Month:</P>
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:dropdownlist id="MonthList" runat="server" accessKey="J">
								<asp:ListItem Value="0">- Select Month -</asp:ListItem>
								<asp:ListItem Value="1" Selected="True">January</asp:ListItem>
								<asp:ListItem Value="2">February</asp:ListItem>
								<asp:ListItem Value="3">March</asp:ListItem>
								<asp:ListItem Value="4">April</asp:ListItem>
								<asp:ListItem Value="5">May</asp:ListItem>
								<asp:ListItem Value="6">June</asp:ListItem>
								<asp:ListItem Value="7">July</asp:ListItem>
								<asp:ListItem Value="8">August</asp:ListItem>
								<asp:ListItem Value="9">September</asp:ListItem>
								<asp:ListItem Value="10">October</asp:ListItem>
								<asp:ListItem Value="11">November</asp:ListItem>
								<asp:ListItem Value="12">December</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD noWrap bgColor="#c0c0c0">
							<P align="right">In<U>a</U>ctive:</P>
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:checkbox id="OrganizationInactiveCheckBox" runat="server" Text="Yes" ToolTip="Check if Yes" accessKey="A"></asp:checkbox></TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD style="HEIGHT: 30px" noWrap bgColor="#ffffff">
							<P align="right">
								<asp:button id="PostButton" runat="server" Enabled="False" Text="Post" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;
							</P>
						</TD>
						<TD style="HEIGHT: 30px" noWrap bgColor="#ffffff">
							&nbsp; <INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx'" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				&nbsp;
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter>
			</P>
		</FORM>
	</body>
</HTML>
