<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="ReportsVolunteersByOrganizationDataViewUI.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.ReportsVolunteersByOrganizationDataViewUI" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ReportsVolunteersByOrganizationDataViewUI</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="ReportsVolunteersByOrganizationDataViewUI" onsubmit="Set_Blank()" method="post" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader></P>
			<P align="center">
				<TABLE id="Table2" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>Volunteers&nbsp;By&nbsp;Organization Data View</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<asp:label id="ErrorMessage" runat="server" ForeColor="Red" EnableViewState="False" Font-Bold="True"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">&nbsp;</P>
			<P align="center">
				<asp:panel id="InputPanel" runat="server" Width="788px" Height="121px">
					<TABLE id="Table1" style="WIDTH: 439px; HEIGHT: 67px" cellSpacing="3" cellPadding="3" align="center" border="0">
						<TR>
							<TD style="WIDTH: 207px; HEIGHT: 33px" vAlign="top" align="right"><STRONG>Begin 
									Month/Year:</STRONG>
							</TD>
							<TD style="HEIGHT: 33px">
								<asp:dropdownlist id="BegMonthYearList" runat="server" Width="126px"></asp:dropdownlist>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						</TR>
						<TR>
							<TD style="WIDTH: 207px; HEIGHT: 33px" vAlign="top" align="right"><STRONG>End 
									Month/Year: </STRONG>
							</TD>
							<TD style="HEIGHT: 33px">
								<asp:dropdownlist id="EndMonthYearList" runat="server" Width="126px"></asp:dropdownlist></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 207px; HEIGHT: 33px" vAlign="top" align="right"></TD>
							<TD style="HEIGHT: 33px">
								<asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." ControlToValidate="EndMonthYearList" Type="Date" Operator="GreaterThanEqual" ControlToCompare="BegMonthYearList"></asp:comparevalidator></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 167px; HEIGHT: 33px" vAlign="top" align="right" colSpan="2">
								<TABLE id="Table4" style="WIDTH: 516px; HEIGHT: 219px" cellSpacing="3" cellPadding="3" align="center" bgColor="gainsboro" border="0">
									<TR>
										<TD style="WIDTH: 183px">
											<P><U>Available Organizations</U>
											</P>
										</TD>
										<TD style="WIDTH: 111px">
											<asp:requiredfieldvalidator id="OrgListBoxValidator" runat="server" Font-Bold="True" ErrorMessage="Select an Organization." Width="149px" ControlToValidate="SelectedOrgListBox"></asp:requiredfieldvalidator></TD>
										<TD><U>Selected Organizations</U>
										</TD>
									</TR>
									<TR>
										<TD style="WIDTH: 183px">
											<asp:listbox id="OrganizationListBox" runat="server" SelectionMode="Multiple" Rows="10"></asp:listbox></TD>
										<TD style="WIDTH: 111px">
											<P align="center">
												<INPUT id="btnAddAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('AddAll');" type="button" size="20" value="      Add All=>" name="btnAddAll"></P>
											<P>
												<INPUT id="btnAdd" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Add');" type="button" size="20" value="          Add =>" name="btnAdd"></P>
											<P>
												<INPUT id="btnRemove" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Remove');" type="button" value="     <= Remove" name="btnRemove"></P>
											<P>
												<INPUT id="btnRemoveAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('RemoveAll');" type="button" value="<= Remove All" name="btnRemoveAll"></P>
										</TD>
										<TD>
											<asp:listbox id="SelectedOrgListBox" runat="server" SelectionMode="Multiple" Rows="10"></asp:listbox></TD>
									</TR>
								</TABLE>
							</TD>
						</TR>
						<TR>
							<TD style="WIDTH: 207px; HEIGHT: 33px" vAlign="top" align="right" bgColor="red"><STRONG>This 
									report takes 1-3 minutes to generate.</STRONG></TD>
							<TD style="HEIGHT: 33px">
								<asp:button id="PrintButton" runat="server" Height="25px" Width="69px" Text="Display"></asp:button></TD>
						</TR>
					</TABLE>
				</asp:panel></P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
