<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="DonationsDataView.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.DonationsDataView" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>DonationsDataView</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="DonationsDataView" method="post" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" Visible="False" ChangeEnabled="False"></VhaVtk:VtkPageHeader></P>
			<P align="center">
				<asp:label id="ErrorMessage" runat="server" ForeColor="Red" Font-Bold="True" EnableViewState="False"></asp:label></P>
			<P>
				<asp:Label id="KeyLabel" runat="server" BorderWidth="0px" Width="970px"></asp:Label></P>
			<P>
				<asp:datagrid id="DataGrid" runat="server" BorderWidth="1px" AllowSorting="True" BorderColor="#999999" BorderStyle="None" BackColor="White" CellPadding="3" GridLines="Vertical" AutoGenerateColumns="False" ShowFooter="True" Height="193px">
					<SelectedItemStyle Font-Bold="True" Wrap="False" ForeColor="White" BackColor="#008A8C"></SelectedItemStyle>
					<EditItemStyle Wrap="False"></EditItemStyle>
					<AlternatingItemStyle Wrap="False" BackColor="Gainsboro"></AlternatingItemStyle>
					<ItemStyle Wrap="False" ForeColor="Black" BackColor="#EEEEEE"></ItemStyle>
					<HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
					<FooterStyle Font-Bold="True" ForeColor="Yellow" BackColor="#000084"></FooterStyle>
					<Columns>
						<asp:BoundColumn DataField="DonationId" HeaderText="Donation ID"></asp:BoundColumn>
						<asp:BoundColumn DataField="DonationStationNumber" HeaderText="Station Number" DataFormatString="{0:d}">
							<HeaderStyle Width="90px"></HeaderStyle>
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationNameOfInstitution" HeaderText="Station Name" FooterText="The list ends here...">
							<HeaderStyle Width="120px"></HeaderStyle>
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationDate" HeaderText="Donation Date" DataFormatString="{0:MM-dd-yyyy}">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonorType" HeaderText="Donor Type">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization Name">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Abbreviation" HeaderText="Org Abbr">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="NamePrefix" HeaderText="Individual Name Prefix">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="FirstName" HeaderText="Individual Name First">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="MiddleName" HeaderText="Individual Name Middle">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="LastName" HeaderText="Individual Name Last">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="NameSuffix" HeaderText="Individual Name Suffix">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonorAffiliation" HeaderText="Individual Affiliation (Other Groups)">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Address1" HeaderText="Individual Street Address 1">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Address2" HeaderText="Individual Street Address 2">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="City" HeaderText="Individual City">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="State" HeaderText="Individual State">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Zip" HeaderText="Individual Zip">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationType" HeaderText="Donation Type">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationValue" HeaderText="Donation Value" DataFormatString="{0:N2}">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CheckNumber" HeaderText="Check Number">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CheckDate" HeaderText="Check Date" DataFormatString="{0:MM-dd-yyyy}">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="GeneralPostFund" HeaderText="GPF">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationReference" HeaderText="Donation Reference">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="DonationDescription" HeaderText="Donation Description">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="AcknowledgementDate" HeaderText="Acknowledgement Date" DataFormatString="{0:MM-dd-yyyy}">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Post_Unit_Chapter" HeaderText="Local Branch">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="InMemoryOf" HeaderText="In Memory Of">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="Salutation" HeaderText="Salutation">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CC1" HeaderText="CC1">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CC2" HeaderText="CC2">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CC3" HeaderText="CC3">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CC4" HeaderText="CC4">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="CC5" HeaderText="CC5">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="FamilyContact" HeaderText="Family Contact">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
					</Columns>
					<PagerStyle Visible="False" HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" Mode="NumericPages"></PagerStyle>
				</asp:datagrid></P>
		</form>
	</body>
</HTML>
