<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="DonationsGenerateDataView.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.DonationsGenerateDataView" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>DonationsGenerateDataView</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="DonationsGenerateDataView" method="post" runat="server" onSubmit="Set_Blank()">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader></P>
			<P>&nbsp;</P>
			<P>
				<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3 align="center">Donations (Search) Data View</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P>&nbsp;</P>
			<P>
				<TABLE id="Table2" style="WIDTH: 540px; HEIGHT: 347px" cellSpacing="3" cellPadding="3" align="center" border="0">
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right">
							<P><STRONG>Select Station: </STRONG>
							</P>
						</TD>
						<TD>
							<asp:dropdownlist id="DivisionList" runat="server" Width="195px" AutoPostBack="True"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Begin Date:</STRONG></TD>
						<TD>
							<asp:textbox id="txtDateBegin" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateBegin.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateBegin');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="BeginDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateBegin" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>End Date: </STRONG>
						</TD>
						<TD>
							<asp:textbox id="txtDateEnd" runat="server" Width="95px"></asp:textbox>&nbsp; <INPUT title="Press to Use Calendar for setting Date." style="FONT-WEIGHT: bold" onclick="document.forms(0).txtDateEnd.value=OpenDialog('../Utility/Calendar.aspx', 200, 188, 'txtDateEnd');" type="button" value="Calendar">&nbsp;
							<asp:RangeValidator id="EndDateRangeValidator" runat="server" Font-Bold="True" ErrorMessage="Not a valid Date." ControlToValidate="txtDateEnd" Type="Date" MaximumValue="12/31/9999" MinimumValue="1/1/1900"></asp:RangeValidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"></TD>
						<TD>
							<asp:comparevalidator id="BeginEndDateValidator" runat="server" Font-Bold="True" ErrorMessage="End Date must be greater than or equal to Begin Date." ControlToValidate="txtDateEnd" Type="Date" ControlToCompare="txtDateBegin" Operator="GreaterThanEqual"></asp:comparevalidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Donation Type:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="DonationTypeList" runat="server" Width="195px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Value:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtValue" runat="server" Width="195px"></asp:TextBox>&nbsp;
							<asp:rangevalidator id="ValueValidator" runat="server" ErrorMessage="Value must be a dollar value between 0.01 and 999999999.99" MinimumValue="0.01" MaximumValue="999999999.99" Type="Currency" ControlToValidate="txtValue" CssClass="Validator" ToolTip="A dollar value between 0.01 and 999999999.99">!</asp:rangevalidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>GPF:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="GPFList" runat="server" Width="195px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Check Number:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtCheckNumber" runat="server" Width="195px"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Individual Last Name:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtLastName" runat="server" Width="195px"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Organization:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="OrganizationList" runat="server" Width="195px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Local Branch:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtLocalBranch" runat="server" Width="195px"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Other Groups:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtOtherGroups" runat="server" Width="195px"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>Reference:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="ReferenceList" runat="server" Width="195px"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"><STRONG>In Memory Of:</STRONG></TD>
						<TD>
							<asp:TextBox id="txtMemoryOf" runat="server" Width="195px"></asp:TextBox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right">
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG></STRONG>&nbsp;</P>
							<P><STRONG>Check the Data You Want To Display:</STRONG></P>
						</TD>
						<TD>
							<asp:CheckBoxList id="ShowDataCheckBox" runat="server">
								<asp:ListItem Value="Station Detail">Station Detail</asp:ListItem>
								<asp:ListItem Value="Individual Name">Individual Name</asp:ListItem>
								<asp:ListItem Value="Individual Affiliation (Other Groups)">Individual Affiliation (Other Groups)</asp:ListItem>
								<asp:ListItem Value="Individual Address">Individual Address</asp:ListItem>
								<asp:ListItem Value="Organization">Organization</asp:ListItem>
								<asp:ListItem Value="Check Data">Check Data</asp:ListItem>
								<asp:ListItem Value="Reference">Reference</asp:ListItem>
								<asp:ListItem Value="Description">Description</asp:ListItem>
								<asp:ListItem Value="Acknowledgement Date">Acknowledgement Date</asp:ListItem>
								<asp:ListItem Value="Local Branch">Local Branch</asp:ListItem>
								<asp:ListItem Value="In Memory Of">In Memory Of</asp:ListItem>
								<asp:ListItem Value="Salutation">Salutation</asp:ListItem>
								<asp:ListItem Value="CC">CC</asp:ListItem>
								<asp:ListItem Value="Family Contact">Family Contact</asp:ListItem>
							</asp:CheckBoxList></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 172px" vAlign="top" align="right">
						</TD>
						<TD>
							<Script langauge="javascript">
								function GetContentType()
								{
									for(var i = 0; i < 3; i++)
									{
										if(eval("document.forms(0).PrintFormatList_" + i + ".checked"))
										{
											return eval("document.forms(0).PrintFormatList_" + i + ".value");
										}
									}
								}
							</Script>
							<asp:button id="PrintButton" runat="server" Width="69px" Text="Display" Height="25px"></asp:button>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
