<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VNONationalOfficialsLabels.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.VNONationalOfficialsLabels" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>VNONationalOfficialsLabels</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="VNONationalOfficialsLabels" method="post" runat="server" onSubmit="Set_Blank()">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<P>&nbsp;</P>
			<P>
				<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3 align="center">National Officials Labels</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P>
				<asp:CustomValidator id="SelectTypeValidator" runat="server" ErrorMessage="CustomValidator" Display="None" ClientValidationFunction="Set_NoBlank" ControlToValidate="SelectTypeRadioButton"></asp:CustomValidator></P>
			<P align="center">
				<TABLE id="Table2" style="WIDTH: 682px; HEIGHT: 610px" cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD align="right" style="WIDTH: 334px"><STRONG>Select Type:</STRONG></TD>
						<TD noWrap>
							<asp:radiobuttonlist id="SelectTypeRadioButton" runat="server" AutoPostBack="True" Width="449px">
								<asp:ListItem Value="R">Representatives</asp:ListItem>
								<asp:ListItem Value="D">Deputies</asp:ListItem>
								<asp:ListItem Value="C">National Certifying Officials</asp:ListItem>
								<asp:ListItem Value="A" Selected="True">All National Officials</asp:ListItem>
								<asp:ListItem Value="RO">Only Reps in Organizations defined as NAC Executive Members</asp:ListItem>
								<asp:ListItem Value="AO">All National Officials not Reps/Deps/NCOs</asp:ListItem>
							</asp:radiobuttonlist></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" colSpan="2">
							<asp:panel id="IndividualPanel" runat="server" Width="639px">
								<TABLE id="Table3" style="WIDTH: 636px; HEIGHT: 206px" cellSpacing="3" cellPadding="3" bgColor="#ffffff" border="0">
									<TR>
										<TD>
											<P><U>
													<asp:Label id="AvailableLabel" runat="server" Font-Underline="True">Available Individuals</asp:Label></U></P>
										</TD>
										<TD style="WIDTH: 107px">
											<asp:RequiredFieldValidator id="IndividualListBoxValidator" runat="server" Font-Bold="True" ErrorMessage="Select an Individual." ControlToValidate="SelectedIndividualsListBox" Width="149px"></asp:RequiredFieldValidator></TD>
										<TD>
											<asp:Label id="SelectedLabel" runat="server" Font-Underline="True">Selected Individuals</asp:Label></TD>
									</TR>
									<TR>
										<TD>
											<asp:ListBox id="IndividualsListBox" runat="server" Width="233px" Rows="10" SelectionMode="Multiple"></asp:ListBox></TD>
										<TD style="WIDTH: 107px">
											<P>
												<INPUT id="btnAddAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('AddAll');" type="button" size="20" value="      Add All=>" name="btnAddAll"></P>
											<P>
												<INPUT id="btnAdd" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Add');" type="button" size="20" value="          Add =>" name="btnAdd"></P>
											<P>
												<INPUT id="btnRemove" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('Remove');" type="button" value="     <= Remove" name="btnRemove"></P>
											<P>
												<INPUT id="btnRemoveAll" style="WIDTH: 120px" onclick="Set_NoBlankWithPost('RemoveAll');" type="button" value="<= Remove All" name="btnRemoveAll"></P>
										</TD>
										<TD>
											<asp:ListBox id="SelectedIndividualsListBox" runat="server" Width="233px" Rows="10" SelectionMode="Multiple"></asp:ListBox></TD>
									</TR>
								</TABLE>
							</asp:panel></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 334px" vAlign="top" align="right"><STRONG>Number of Labels to Skip:</STRONG></TD>
						<TD>
							<asp:dropdownlist id="SkipLabelCount" runat="server"></asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 334px" vAlign="top" align="right"><STRONG>Print Format:</STRONG>
						</TD>
						<TD>
							<TABLE id="Table4" cellSpacing="0" cellPadding="0" border="0">
								<TR>
									<TD vAlign="center">
										<asp:radiobuttonlist id="PrintFormatList" runat="server">
											<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
											<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
											<asp:ListItem Value="Excel">Excel</asp:ListItem>
											<asp:ListItem Value="Word">Word</asp:ListItem>
										</asp:radiobuttonlist></TD>
									<TD vAlign="center">&nbsp;
										<asp:button id="PrintButton" runat="server" Font-Bold="True" Width="80px" Text="Display" Height="40px"></asp:button></TD>
								</TR>
							</TABLE>
							<BR>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
