<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="VolunteerNewEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerNewEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>New Volunteer</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="VolunteerNewEdit" method="post" runat="server">
			<P>
				<VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER>
			</P>
			<H3 align="center">
				Add&nbsp;Volunteer</H3>
			<P align="center">
				<asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label>
				<asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Size="Larger"></asp:label></P>
			<TABLE style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none" cellSpacing="0" cellPadding="3" align="center" border="1">
				<TR>
					<td>
						<TABLE cellSpacing="0" cellPadding="3" width="100%" bgColor="#c0c0c0" border="0">
							<TR>
								<TD align="right" style="WIDTH: 156px">
									<P align="left"><FONT color="red">(*) fields are required!</FONT></FONT></P>
								</TD>
								<TD style="WIDTH: 185px"></TD>
								<TD style="WIDTH: 427px" vAlign="top" align="right" colSpan="2"></TD>
							</TR>
							<TR>
								<TD align="right" bgColor="#c0c0c0" style="WIDTH: 156px"><FONT color="red">* </FONT>
									</FONT>Record Entry Date:</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 185px">
									<VHAVTK:VTKCOMPOSITEDATE id="EntryDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
								<TD colSpan="2" vAlign="top" align="right" bgColor="#c0c0c0" style="WIDTH: 427px"></TD>
							</TR>
							<TR>
								<TD bgColor="#c0c0c0" style="WIDTH: 156px">
									<P align="right">
										<FONT color="red">*</FONT>Last Name:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 185px">
									<asp:textbox id="LastNameText" runat="server" MaxLength="30" ToolTip="Edit volunteers last name. Up to 30 characters are allowed."></asp:textbox>
								</TD>
								<TD bgColor="#c0c0c0">
									<P align="right">
										<FONT color="red">* </FONT>First Name:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 232px">
									<asp:textbox id="FirstNameText" runat="server" MaxLength="30" ToolTip="Enter the volunteers last name. Up to 30 characters are allowed."></asp:textbox>
								</TD>
							</TR>
							<TR>
								<TD align="right" bgColor="#c0c0c0" style="WIDTH: 156px">
									Middle Name or Initials:
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 185px">
									<asp:textbox id="MiddleNameText" runat="server" MaxLength="20" ToolTip="Enter volunteers middle name or initial. Up to 20 characters are allowed."></asp:textbox>
								</TD>
								<TD bgColor="#c0c0c0">
									<P align="right">
										NickName:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 232px">
									<asp:textbox id="NickNameText" runat="server" MaxLength="20" ToolTip="Enter the volunteers nickname, if one exists. Up to 10 characters are allowed."></asp:textbox>
								</TD>
							</TR>
							<TR>
								<TD bgColor="#c0c0c0" style="WIDTH: 156px">
									<P align="right">
										<FONT color="red">*</FONT>Social Security Number:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 185px">
									<asp:textbox id="SSNText" runat="server" MaxLength="11" tooltip="Enter the volunteers Social Security Number. Nine digits are required and the hyphens are optional." Enabled="False"></asp:textbox>
								</TD>
								<TD bgColor="#c0c0c0">
									<P align="right">
										Pseudo SSN:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 232px">
									<asp:checkbox id="PseudoCheckBox" runat="server" Text="Yes" ToolTip="Check this box if the Social Security Number is a Pseudo."></asp:checkbox>
								</TD>
							</TR>
							<TR>
								<TD bgColor="#c0c0c0" style="WIDTH: 156px">
									<P align="right">
										<FONT color="red">*</FONT>Date Of Birth:
									</P>
								</TD>
								<TD noWrap bgColor="#c0c0c0" style="WIDTH: 185px">
									<VHAVTK:VTKCOMPOSITEDATE id="DateOfBirthDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE>
								</TD>
								<TD bgColor="#c0c0c0">
									<P align="right">
										<FONT color="red">*</FONT>Sex:
									</P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 232px">
									<asp:radiobuttonlist id="SexList" runat="server" RepeatDirection="Horizontal" ToolTip="Click on the Volunteer's Sex.">
										<asp:ListItem Value="M">Male</asp:ListItem>
										<asp:ListItem Value="F">Female</asp:ListItem>
									</asp:radiobuttonlist>
								</TD>
							</TR>
							<TR>
								<TD style="WIDTH: 156px" bgColor="#c0c0c0">
									<P align="right">VA Employee:</P>
								</TD>
								<TD style="WIDTH: 185px" noWrap bgColor="#c0c0c0">
									<asp:CheckBox id="VAEmployeeCheck" runat="server" Text="Yes"></asp:CheckBox></TD>
								<TD bgColor="#c0c0c0">
									<P align="right">Preferred Language:</P>
								</TD>
								<TD style="WIDTH: 232px" bgColor="#c0c0c0">
									<asp:DropDownList id="LanguageList" runat="server" Width="143px"></asp:DropDownList></TD>
							</TR>
							<TR>
								<TD bgColor="#c0c0c0" colSpan="4"><FONT style="BACKGROUND-COLOR: #c0c0c0">
										<HR width="100%">
									</FONT>
								</TD>
							</TR>
							<TR>
								<TD bgColor="#c0c0c0" style="WIDTH: 156px">
									<P align="right">
										<asp:Label id="ContactLabel1" runat="server" Visible="False">Select existing Contact Address:</asp:Label></P>
								</TD>
								<TD noWrap bgColor="#c0c0c0" style="WIDTH: 185px">
									<asp:DropDownList id="ContactList" runat="server" Visible="False"></asp:DropDownList></TD>
								<TD bgColor="#c0c0c0">
									<P align="right">
										<asp:Label id="ContactLabel2" runat="server" Visible="False">or enter a New Contact Address:</asp:Label></P>
								</TD>
								<TD bgColor="#c0c0c0" style="WIDTH: 232px">
									<asp:Button id="NewButton" runat="server" Text="New" Visible="False" ToolTip="Allows you to create a New Contact Address."></asp:Button></TD>
							</TR>
						</TABLE>
					</td>
				</TR>
				<TR>
					<TD colSpan="4">
						<P align="center">
							<asp:Panel id="ContactPanel" runat="server">
								<TABLE id="Table2" cellSpacing="0" cellPadding="4" width="100%" bgColor="#c0c0c0" border="0">
									<TR>
										<TD>
											<P align="right"><FONT color="red">*</FONT>Street Address #1:</P>
										</TD>
										<TD>
											<asp:textbox id="Address1Text" runat="server" ToolTip="Enter the volunteers street address. Up to 35 characters are allowed." MaxLength="35" Width="100%"></asp:textbox></TD>
										<TD></TD>
										<TD></TD>
									</TR>
									<TR>
										<TD>
											<P align="right">Street Address #2:</P>
										</TD>
										<TD>
											<asp:textbox id="Address2Text" runat="server" ToolTip="Enter the second line of the volunteers street address, if you are using a two-line street address. Up to 35 characters are allowed." MaxLength="35" Width="100%"></asp:textbox></TD>
										<TD></TD>
										<TD></TD>
									</TR>
									<TR>
										<TD>
											<P align="right"><FONT color="red">*</FONT>City:
											</P>
										</TD>
										<TD>
											<asp:textbox id="CityText" runat="server" ToolTip="Enter the name of city in which the volunteer resides. Up to 30 characters are allowed." MaxLength="30" Width="250px"></asp:textbox></TD>
										<TD><FONT color="red">*</FONT>State:
											<asp:dropdownlist id="StateList" runat="server"></asp:dropdownlist></TD>
										<TD><FONT color="red">*</FONT>Zip:
											<asp:textbox id="ZipText" runat="server" ToolTip="Enter the zip code in which the volunteer resides in either a 5-digit format or a 9-digit format including the hyphen. For example,94612 or 94612-2221." MaxLength="10" Width="100px"></asp:textbox></TD>
									</TR>
									<TR>
										<TD>
											<P align="right">Telephone:</P>
										</TD>
										<TD>
											<asp:textbox id="PhoneText" runat="server" ToolTip="Enter the volunteers area code and phone number separated with hyphens. You can also enter an extension number and other information. Up to 30 characters are allowed. For example, 814-555-8164 ext. 7142 or 814-555-8164 Unlisted." MaxLength="30"></asp:textbox></TD>
										<TD>
											<P align="right">Alternate Telephone #1:</P>
										</TD>
										<TD>
											<asp:textbox id="Phone1Text" runat="server" ToolTip="Enter the volunteers alternate phone number starting with area code. This number may be a friends, relatives, neighbors or the volunteers work number. Up to 30 characters are allowed.  For example, 814-555-7000 Work #.  " MaxLength="30"></asp:textbox></TD>
									</TR>
									<TR>
										<TD>
											<P align="right">Alternate Telephone #2:
											</P>
										</TD>
										<TD>
											<asp:textbox id="Phone2Text" runat="server" ToolTip="Enter the volunteers second alternate phone number starting with area code. This number may be a friends, relatives, neighbors or the volunteers work number. Up to 30 characters are allowed. For example, 814-555-7763 Brothers #. " MaxLength="30"></asp:textbox></TD>
										<TD>
											<P align="right">E-Mail Address:</P>
										</TD>
										<TD>
											<asp:textbox id="EMailText" runat="server" ToolTip="Edit the volunteers e-mail address. Up to 50 characters are allowed." MaxLength="50"></asp:textbox></TD>
									</TR>
									<TR>
										<TD>
											<P align="right">&nbsp;</P>
										</TD>
										<TD></TD>
										<TD></TD>
										<TD></TD>
									</TR>
								</TABLE>
							</asp:Panel></P>
					</TD>
				</TR>
				<TR>
					<TD colSpan="4" style="WIDTH: 871px">
						<P align="center">
							<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accesskey="X" title="Exits the current screen without saving the new volunteer information and displays the initial VSS screen.">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<asp:button id="PostButton" runat="server" Text="Next" ToolTip="Saves the new or updated record."></asp:button></P>
					</TD>
				</TR>
			</TABLE>
			<P>&nbsp;</P>
			<P align="center">
				<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
			<P align="center">
			</P>
		</form>
	</body>
</HTML>
