<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VolunteerStationEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerStationEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>Volunteer Information for This Station</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="VolunteerStationEdit" method="post" runat="server">
			<P></P>
			<H2 align="center"><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></H2>
			<H3 align="center">Station Profile
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label><asp:label id="ConfirmationMessage" runat="server" EnableViewState="False" ForeColor="Green" Font-Size="Larger"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary></P>
			<P align="center">
				<TABLE style="BORDER-TOP-STYLE: none; BORDER-RIGHT-STYLE: none; BORDER-LEFT-STYLE: none; BORDER-BOTTOM-STYLE: none" cellSpacing="0" cellPadding="3" align="center" border="0">
					<TR>
						<TD bgColor="#6699ff" colSpan="4">
							<P align="center"><STRONG>Volunteer Name:</STRONG>&nbsp;
								<asp:label id="VolunteerNameLabel" runat="server" Font-Bold="True">Label</asp:label>&nbsp;&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 22px">
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD vAlign="top" bgColor="#c0c0c0" style="HEIGHT: 22px"></TD>
						<TD vAlign="top" align="right" bgColor="#c0c0c0" colSpan="2" style="HEIGHT: 22px"></TD>
					</TR>
					<TR>
						<TD align="right" bgColor="#c0c0c0" style="WIDTH: 176px"><FONT color="red">*</FONT>Record 
							Entry Date:</TD>
						<TD bgColor="#c0c0c0"><VHAVTK:VTKCOMPOSITEDATE id="EntryDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px">
							<P align="right">Add Adjusted Hours:</P>
						</TD>
						<TD bgColor="#c0c0c0">
							<P><asp:button id="AddHoursButton" runat="server" ToolTip="Add an Adjusted Hour record" Text="Add"></asp:button></P>
						</TD>
					</TR>
					<TR>
						<TD align="right" bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 28px"><FONT color="red">*</FONT>Years 
							at Station:</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 28px"><asp:textbox id="YearsText" runat="server" ToolTip="Enter the number of years the volunteer has served at this station. Up to 2 digits are allowed." MaxLength="2" Width="162px" Height="23px"></asp:textbox><asp:regularexpressionvalidator id="YearsValidator" runat="server" ErrorMessage="Years at Station must be a 1 or 2 digit number." CssClass="Validator" ValidationExpression="\d{1,2}" ControlToValidate="YearsText"> ! </asp:regularexpressionvalidator></TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px; HEIGHT: 28px">
							<P align="right">Adjusted Hours Served:</P>
						</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 28px">
							<P><asp:label id="AdjustedHoursLabel" runat="server" Width="101px" Height="10px"></asp:label>&nbsp;</P>
						</TD>
					</TR>
					<TR>
						<TD align="right" bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 29px">
							Method of Transportation:</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 29px">
							<P>
								<asp:dropdownlist id="TransportationList" runat="server" Width="166px"></asp:dropdownlist></P>
						</TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px; HEIGHT: 29px">
							<P align="right">Prior Year Hours Served:
							</P>
						</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 29px"><asp:label id="PriorHoursLabel" runat="server" Width="58px"></asp:label></TD>
					</TR>
					<TR>
						<TD align="right" bgColor="#c0c0c0" style="WIDTH: 176px">Number of Meals Eligible 
							for:</TD>
						<TD bgColor="#c0c0c0">
							<P>
								<asp:radiobuttonlist id="MealsList" runat="server" ToolTip="Check the number of meals this volunteer can receive." RepeatDirection="Horizontal">
									<asp:ListItem Value="0">0</asp:ListItem>
									<asp:ListItem Value="1">1</asp:ListItem>
									<asp:ListItem Value="2">2</asp:ListItem>
								</asp:radiobuttonlist></P>
						</TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px">
							<P align="right">Current Year Hours Served:</P>
						</TD>
						<TD bgColor="#c0c0c0">
							<P>
								<asp:label id="CurrentHoursLabel" runat="server"></asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 24px">
							<P align="right">
							</P>
						</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 24px">
							<P>&nbsp;</P>
						</TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px; HEIGHT: 24px">
							<P align="right">Total Hours Served:</P>
						</TD>
						<TD bgColor="#c0c0c0" style="HEIGHT: 24px">
							<P>
								<asp:label id="TotalHoursLabel" runat="server"></asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 176px; HEIGHT: 12px" noWrap bgColor="#c0c0c0"></TD>
						<TD style="HEIGHT: 12px" bgColor="#c0c0c0"></TD>
						<TD style="WIDTH: 290px; HEIGHT: 12px" bgColor="#c0c0c0"></TD>
						<TD style="HEIGHT: 12px" vAlign="top" bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 176px; HEIGHT: 1px" noWrap bgColor="#c0c0c0">
							<P align="right">Date of Last Award:
							</P>
						</TD>
						<TD style="HEIGHT: 1px" bgColor="#c0c0c0"><VHAVTK:VTKCOMPOSITEDATE id="LastAwardDate" runat="server" FirstItemHeader="True"></VHAVTK:VTKCOMPOSITEDATE></TD>
						<TD style="WIDTH: 290px; HEIGHT: 1px" bgColor="#c0c0c0">
						</TD>
						<TD style="HEIGHT: 1px" vAlign="top" bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 29px">
							<P align="right">Award Code:</P>
						</TD>
						<TD vAlign="top" bgColor="#c0c0c0" colSpan="3" style="HEIGHT: 29px"><asp:dropdownlist id="AwardList" runat="server" Width="382px" AutoPostBack="True">
								<asp:ListItem Value="0">- Select Award Code -</asp:ListItem>
							</asp:dropdownlist></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 21px">&nbsp;&nbsp;&nbsp;&nbsp; 
							Hours of Last award:</TD>
						<TD vAlign="top" bgColor="#c0c0c0" colSpan="3" style="HEIGHT: 21px">
							<P>
								<asp:label id="AwardHoursLabel" runat="server" Width="112px" Height="18px"></asp:label></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 176px; HEIGHT: 10px" bgColor="#c0c0c0"></TD>
						<TD style="HEIGHT: 10px" vAlign="top" bgColor="#c0c0c0" colSpan="3"></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" style="WIDTH: 176px">
							<P align="right">Termination Date:
							</P>
						</TD>
						<TD bgColor="#c0c0c0"><VHAVTK:VTKCOMPOSITEDATE id="TerminationDate" runat="server" FirstItemHeader="True"></VHAVTK:VTKCOMPOSITEDATE></TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px">
							<P align="right">Clear&nbsp;Termination Date:</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:button id="ClearButton" runat="server" ToolTip="Deletes the volunteers termination date, if one exists." Text="Clear"></asp:button></TD>
					</TR>
					<TR>
						<TD bgColor="#c0c0c0" style="WIDTH: 176px">
							<P align="right">Terminated with Cause?:
							</P>
						</TD>
						<TD bgColor="#c0c0c0"><asp:checkbox id="CauseCheckBox" runat="server" Text="Yes" AutoPostBack="True"></asp:checkbox></TD>
						<TD bgColor="#c0c0c0" style="WIDTH: 290px">
							<P align="right">&nbsp;</P>
						</TD>
						<TD bgColor="#c0c0c0"></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" bgColor="#c0c0c0" style="WIDTH: 176px">
							<P><BR>
								<asp:label id="TermRemarkLabel" runat="server" Visible="False">Terminated Remarks:</asp:label></P>
						</TD>
						<TD vAlign="top" bgColor="#c0c0c0" colSpan="3"><asp:textbox id="TermRemarkText" runat="server" ToolTip="Enter the Terminated Remarks for this Volunteer.  Once you post this information, you will not be able to edit it.  You can add more remarks.  Up to 800 characters are allowed." MaxLength="800" Width="599px" Visible="False" TextMode="MultiLine"></asp:textbox></TD>
					</TR>
					<TR>
						<TD vAlign="top" align="right" bgColor="#c0c0c0" style="WIDTH: 176px; HEIGHT: 112px">Remarks:</TD>
						<TD vAlign="top" bgColor="#c0c0c0" colSpan="3" style="HEIGHT: 112px">
							<asp:textbox id="RemarksText" runat="server" ForeColor="Black" ToolTip="Enter any Remarks you want associated with this Volunteer's Station Profile.  Up to 800 characters are allowed." MaxLength="800" Width="599px" TextMode="MultiLine" Height="82px" BackColor="White"></asp:textbox></TD>
					</TR>
					<TR>
					</TR>
					<TR>
						<TD align="middle" colSpan="4">
							<asp:button id="PostButton" runat="server" Text="Post" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;
							<INPUT id="ExitButton" title="Exits the current screen and returns to the Edit Volunteer screen." accessKey="X" onclick="window.location.href='/vtk/volunteer/VolunteerEdit.aspx' + '?StationId=' + form.StationId.value + '&amp;volId=' + form.volId.value" type="button" value="Exit" name="ExitButton"></TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
