<%@ Page language="c#" Codebehind="SiteParametersEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.FileMaintenance.SiteParametersEdit" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML xmlns:uc1>
	<HEAD>
		<title>Site Parameter Edit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="SiteParameters" method="post" runat="server">
			<H2 align="center"><FONT face="Verdana"><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></FONT></H2>
			<TABLE cellSpacing="1" cellPadding="1" width="100%" border="0">
				<TR>
					<TD align="middle" bgColor="#cccccc">
						<H3>Site Parameters
						</H3>
					</TD>
				</TR>
				<TR>
					<TD align="middle" bgColor="#cccccc"><asp:label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red" EnableViewState="False" Font-Size="Larger"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary><asp:label id="ConfirmationMessage" runat="server" Font-Bold="True" ForeColor="Green" EnableViewState="False" Font-Size="Larger" Width="126px"></asp:label></TD>
				</TR>
			</TABLE>
			<TABLE cellSpacing="0" cellPadding="4" align="center" border="0">
				<TR bgColor="#6699ff">
					<TD noWrap align="middle" colSpan="2" style="WIDTH: 382px"><STRONG>Meal Tickets 
							Settings</STRONG></TD>
					<TD noWrap align="middle" style="WIDTH: 224px"></TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px" bgColor="#cccccc">
						<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
					</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"></TD>
					<TD noWrap style="WIDTH: 224px" bgColor="#cccccc"></TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px" bgColor="#cccccc">
						<P align="right"><FONT color="red">*</FONT><U>M</U>eal Price:
						</P>
					</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"><asp:textbox id="MealPriceText" accessKey="M" runat="server" MaxLength="5" ToolTip="Enter amount the station will pay for a meal. Enter  a dollar value that ranges between 0.01 and 99.99, inclusive. "></asp:textbox><asp:rangevalidator id="MealPriceValidator" runat="server" ErrorMessage="Meal Price must be a dollar value between 0.01 and 99.99" ToolTip="A dollar value between 0.01 and 99.99" MinimumValue="0.01" MaximumValue="99.99" Type="Currency" ControlToValidate="MealPriceText" CssClass="Validator">  !</asp:rangevalidator></TD>
					<TD noWrap style="WIDTH: 224px" bgColor="#cccccc">
						<P align="center"><U>Meals Allowed on Days:</U>
						</P>
					</TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px; HEIGHT: 79px" bgColor="#cccccc">
						<P align="right"><FONT color="red">*</FONT><U>N</U>umber of Meals:</P>
					</TD>
					<TD noWrap style="WIDTH: 195px; HEIGHT: 79px" bgColor="#cccccc"><asp:radiobuttonlist id="NumberOfMealsList" runat="server" AutoPostBack="True" RepeatDirection="Horizontal" BackColor="#CCCCCC">
							<asp:ListItem Value="1">1</asp:ListItem>
							<asp:ListItem Value="2">2</asp:ListItem>
						</asp:radiobuttonlist></TD>
					<TD noWrap style="WIDTH: 224px; HEIGHT: 79px" bgColor="#cccccc">
						<P align="center">
							<asp:checkboxlist id="MealsOnDayList" accessKey="M" runat="server">
								<asp:ListItem Value="1">Saturdays</asp:ListItem>
								<asp:ListItem Value="2">Sundays</asp:ListItem>
								<asp:ListItem Value="3">Holidays</asp:ListItem>
							</asp:checkboxlist></P>
					</TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px" bgColor="#cccccc">
						<P align="right"><FONT color="red">*</FONT>Required <U>H</U>ours for 1 Meal:
						</P>
					</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"><asp:textbox id="HoursForLunchText" accessKey="H" runat="server" MaxLength="2" ToolTip="Enter the number of hours the volunteer must work to earn a meal. Up to 12 hours are allowed."></asp:textbox><asp:rangevalidator id="HoursForLunchValidator" runat="server" ErrorMessage="Required Hours for 1 Meal must be a number between 1 and 12" MinimumValue="1" MaximumValue="12" Type="Integer" ControlToValidate="HoursForLunchText" CssClass="Validator">  !</asp:rangevalidator></TD>
					<TD noWrap style="WIDTH: 224px" bgColor="#cccccc">
						<P align="center"><U>Meal Authorization Type:</U></P>
					</TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px" bgColor="#cccccc">
						<P align="right"><FONT color="red">*</FONT><U>C</U>ut off time for 1 Meal:
						</P>
					</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"><asp:textbox id="CutOffTimeText" accessKey="C" runat="server" MaxLength="4" ToolTip="Enter the cut-off time for 1 meal in a military-time format. Four digits are required. For example, 1300. "></asp:textbox><asp:regularexpressionvalidator id="CutOffTimeValidator" runat="server" ErrorMessage="Cut off time for 1 Meal must be a 4 digit number that represents time" ControlToValidate="CutOffTimeText" CssClass="Validator" ValidationExpression="^[0-2][0-9][0-5][0-9]$">  !</asp:regularexpressionvalidator></TD>
					<TD noWrap style="WIDTH: 224px" align="middle" bgColor="#cccccc"><U>
							<P align="center">
								<asp:radiobuttonlist id="MealAuthorizationList" accessKey="T" runat="server" Width="142px" RepeatDirection="Horizontal" BackColor="#CCCCCC"></asp:radiobuttonlist></P>
						</U>
					</TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px; HEIGHT: 32px" bgColor="#cccccc">
						<P align="right">
							<asp:label id="StarLabel1" runat="server" ForeColor="Red" Width="15px" Visible="False" BackColor="#CCCCCC">*</asp:label><asp:label id="HoursForMeal2Label" runat="server" Visible="False">Required Hours for 2 Meals:</asp:label></P>
					</TD>
					<TD noWrap style="WIDTH: 195px; HEIGHT: 32px" bgColor="#cccccc"><asp:textbox id="HoursForMeal2Text" runat="server" MaxLength="2" ToolTip="Enter the number of hours the volunteer must work to earn 2 meals. These hours must be greater than 'Required Hours for 1 Meal'. Up to 12 hours are allowed." Visible="False"></asp:textbox><asp:rangevalidator id="HoursForMeal2Validator" runat="server" ErrorMessage="Required Hours for 2 Meal must be a number between 1 and 12" MinimumValue="1" MaximumValue="12" Type="Integer" ControlToValidate="HoursForMeal2Text" CssClass="Validator">  !</asp:rangevalidator></TD>
					<TD style="WIDTH: 224px; HEIGHT: 32px" noWrap bgColor="#cccccc">
						<P align="center">&nbsp;</P>
					</TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px" bgColor="#cccccc">
						<P align="right">
							<asp:label id="StarLabel2" runat="server" ForeColor="Red" Width="15px" Visible="False">*</asp:label><asp:label id="CutOffTime2Label" runat="server" Visible="False">Cut off time for 2 Meals:</asp:label></P>
					</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"><asp:textbox id="CutOffTime2Text" runat="server" MaxLength="4" ToolTip="Enter the cut-off time for 2 meals in a military-time format. This time must be less than 'Cut off time for 1 Meal'. Four digits are required. For example, 0800. " Visible="False"></asp:textbox><asp:regularexpressionvalidator id="CutOffTime2Validator" runat="server" ErrorMessage="Cut off time for 2 Meal must be a 4 digit number that represents time" ControlToValidate="CutOffTime2Text" CssClass="Validator" ValidationExpression="^[0-2][0-9][0-5][0-9]$">  !</asp:regularexpressionvalidator></TD>
					<TD noWrap style="WIDTH: 224px" bgColor="#cccccc">
						<P align="center"><U>VA Letter Head:</U></P>
					</TD>
				</TR>
				<TR>
					<TD style="WIDTH: 227px; HEIGHT: 25px" noWrap align="right" bgColor="#cccccc">
						<P>Voluntary Service Signature:&nbsp; &nbsp;</P>
					</TD>
					<TD style="WIDTH: 195px; HEIGHT: 25px" noWrap bgColor="#cccccc">
						<asp:textbox id="VoluntarySignText" accessKey="H" runat="server" ToolTip="Enter the Voluntary Service signature line." MaxLength="50"></asp:textbox></TD>
					<TD style="WIDTH: 224px; HEIGHT: 25px" noWrap align="middle" bgColor="#cccccc">
						<asp:radiobuttonlist id="VaLetterHeadList" accessKey="T" runat="server" Width="130px" RepeatDirection="Horizontal" BackColor="#CCCCCC">
							<asp:ListItem Value="1">Yes</asp:ListItem>
							<asp:ListItem Value="0">No</asp:ListItem>
						</asp:radiobuttonlist></TD>
				</TR>
				<TR>
					<TD style="WIDTH: 227px; HEIGHT: 25px" noWrap align="right" bgColor="#cccccc">Director's&nbsp;Signature:&nbsp;
					</TD>
					<TD style="WIDTH: 195px; HEIGHT: 25px" noWrap bgColor="#cccccc">
						<asp:textbox id="DirectorSignText" accessKey="H" runat="server" ToolTip="Enter the Director's signature line and set Value amount in the next field." MaxLength="50"></asp:textbox></TD>
					<TD style="WIDTH: 224px; HEIGHT: 25px" noWrap bgColor="#cccccc">Set Value&nbsp;Amt:
						<asp:textbox id="DirectorSignValueText" accessKey="V" runat="server" Width="100px" ToolTip="This value decides wheather Director's signature line appears on the donation letter or not instead of Voluntary service signature." MaxLength="15"></asp:textbox>
						<asp:rangevalidator id="DirectorValueAmtValidator" runat="server" ErrorMessage="Director Signature Value Amount must be a dollar value between 0.01 and 99,999,999,999.99" ToolTip="A dollar value between 0.01 and 99,999,999,999.99" CssClass="Validator" ControlToValidate="DirectorSignValueText" Type="Currency" MaximumValue="99999999999.99" MinimumValue="0.01">  !</asp:rangevalidator></TD>
				</TR>
				<TR>
					<TD style="WIDTH: 227px; HEIGHT: 25px" noWrap bgColor="#cccccc"></TD>
					<TD style="WIDTH: 195px; HEIGHT: 25px" noWrap bgColor="#cccccc"></TD>
					<TD style="WIDTH: 224px; HEIGHT: 25px" noWrap bgColor="#cccccc"></TD>
				</TR>
				<TR>
					<TD noWrap style="WIDTH: 227px; HEIGHT: 25px" bgColor="#cccccc"><U>
							<P align="center"><U>General Post Funds:</U>
						</U></P>
					</TD>
					<TD noWrap style="WIDTH: 195px; HEIGHT: 25px" bgColor="#cccccc"><U>
							<P align="center"><U>References:</U>
						</U></P>
					</TD>
					<TD noWrap style="WIDTH: 224px; HEIGHT: 25px" bgColor="#cccccc">
						<P align="center"><U></U>&nbsp;</P>
					</TD>
				</TR>
				<TR>
					<TD style="WIDTH: 227px" noWrap bgColor="#cccccc">
						<P align="center"><U>
								<asp:DataGrid id="GPFGrid" runat="server" Width="150px" ToolTip="Change the value and Save the changes. Use Delete button to remove the GPF entry." AutoGenerateColumns="False">
									<EditItemStyle ForeColor="White" BackColor="MediumBlue"></EditItemStyle>
									<HeaderStyle BackColor="#00C0C0"></HeaderStyle>
									<Columns>
										<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
										<asp:BoundColumn Visible="False" DataField="InstitutionFK" HeaderText="InstitutionFK"></asp:BoundColumn>
										<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
										<asp:TemplateColumn HeaderText="General Post Fund">
											<ItemTemplate>
												<asp:TextBox id=GPFText Text='<%# DataBinder.Eval(Container.DataItem, "GeneralPostFund") %>' Enabled=True Width=120 Runat="server">
												</asp:TextBox>
											</ItemTemplate>
										</asp:TemplateColumn>
										<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="Cancel" EditText="Save"></asp:EditCommandColumn>
									</Columns>
								</asp:DataGrid></U></P>
					</TD>
					<TD style="WIDTH: 195px" noWrap colSpan="2" bgColor="#cccccc"><U>
							<P align="center"><U>
									<asp:DataGrid id="REFGrid" runat="server" Width="375px" ToolTip="Change the value and Save the changes. Use Delete button to remove the Reference entry." AutoGenerateColumns="False">
										<HeaderStyle BackColor="#00C0C0"></HeaderStyle>
										<Columns>
											<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
											<asp:BoundColumn Visible="False" DataField="InstitutionFK" HeaderText="InstitutionFK"></asp:BoundColumn>
											<asp:ButtonColumn Text="Delete" ButtonType="PushButton" CommandName="Delete"></asp:ButtonColumn>
											<asp:TemplateColumn HeaderText="Reference">
												<ItemTemplate>
													<asp:TextBox id="REFText" Text='<%# DataBinder.Eval(Container.DataItem, "DonationReference") %>' Enabled=True Width=250 Runat="server">
													</asp:TextBox>
												</ItemTemplate>
											</asp:TemplateColumn>
											<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="" EditText="Save"></asp:EditCommandColumn>
										</Columns>
									</asp:DataGrid></U></P>
						</U>
					</TD>
				</TR>
				<TR>
					<TD style="WIDTH: 227px" noWrap bgColor="#cccccc">&nbsp;</TD>
					<TD style="WIDTH: 195px" noWrap colSpan="2" bgColor="#cccccc"></TD>
				</TR>
				<TR bgColor="#6699ff">
					<TD noWrap align="middle" colSpan="2" style="WIDTH: 382px"><STRONG>Auto-Logon 
							Language&nbsp; Settings</STRONG>
					</TD>
					<TD noWrap align="middle" style="WIDTH: 224px"></TD>
				</TR>
				<TR>
					<TD noWrap align="right" style="WIDTH: 227px" bgColor="#cccccc"><FONT color="red">*</FONT><U>D</U>efault 
						Language:</TD>
					<TD noWrap style="WIDTH: 195px" bgColor="#cccccc"><asp:dropdownlist id="DefaultLanguageList" accessKey="D" runat="server" Width="112px"></asp:dropdownlist></TD>
					<TD noWrap style="WIDTH: 224px" bgColor="#cccccc"></TD>
				</TR>
				<TR>
					<TD noWrap align="right" style="WIDTH: 227px" bgColor="#cccccc"><U>R</U>equire 
						Alternate&nbsp;Language:</TD>
					<TD noWrap align="left" style="WIDTH: 195px" bgColor="#cccccc">
						<P align="left"><asp:CheckBox id="RequireLanguageCheckBox" runat="server" AutoPostBack="True" Text="Yes"></asp:CheckBox></P>
					</TD>
					<TD noWrap align="left" style="WIDTH: 224px" bgColor="#cccccc"></TD>
				</TR>
				<TR>
					<TD noWrap align="right" style="WIDTH: 227px" bgColor="#cccccc"><asp:Label id="AlternateLanguageLabel" runat="server" Visible="False">Alternate Language:</asp:Label></TD>
					<TD noWrap align="left" style="WIDTH: 195px" bgColor="#cccccc">
						<P align="left"><asp:dropdownlist id="AlternateLanguageList" accessKey="A" runat="server" Visible="False" Width="112px"></asp:dropdownlist></P>
					</TD>
					<TD noWrap align="left" style="WIDTH: 224px" bgColor="#cccccc"></TD>
				</TR>
				<TR bgColor="#6699ff">
					<TD noWrap align="middle" colSpan="2" style="WIDTH: 382px"><STRONG>Auto-Logon 
							Introduction</STRONG>
					</TD>
					<TD noWrap align="middle" style="WIDTH: 224px"></TD>
				</TR>
				<TR>
					<TD align="middle" colSpan="3" style="WIDTH: 751px" bgColor="#cccccc">
						<P align="center">
							<asp:textbox id="IntroductionText" accessKey="I" runat="server" Width="683px" ToolTip="Enter the Auto-Logon Introduction text. Up to 240 characters are allowed." MaxLength="240" Height="38px" TextMode="MultiLine"></asp:textbox></P>
					</TD>
				</TR>
				<TR>
					<TD align="right" colSpan="2" style="WIDTH: 382px">
						<P></P>
						&nbsp;&nbsp;
						<asp:button id="PostButton" accessKey="P" runat="server" ToolTip="Saves the new or updated record." Text="Post"></asp:button>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
						<!--<asp:button id="ExitButton" runat="server" Text="Exit" Font-Bold="True" Height="30px" Width="65px"></asp:button>-->
						<INPUT id="ExitButton" title="Exits the current screen and displays the initial VSS screen." style="WIDTH: 64px; HEIGHT: 25px" accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton">
					</TD>
					<TD align="middle" style="WIDTH: 224px"></TD>
				</TR>
			</TABLE>
		</form>
		<P align="center">&nbsp;
			<uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
	</body>
</HTML>
