var target, PointerId;
var imgPath = "../images/menu/";
//Event Handlers

function setMenuSectionContent(e)
{
	if(e.style.display == "none")
	{
		e.style.display = "block";
	}
	else
	{
		e.style.display = "none";
	}
}
function getContentElement(e, keyCode)
{
	switch(e.className)
	{
		case 'NavImage':
		case 'TypeImage':
		case 'MenuSectionTitle':						
			return e.parentElement.nextSibling;
			break;
		case 'MenuSection':	
			var sibling = e.children[1];
			switch(keyCode)
			{
				case 40:	
					return sibling;
					break;
				case 39:
					if(sibling.style.display == 'block')
						return null;
					break;
				case 37:
					if(sibling.style.display == 'none')
						return null;
					break;
			}					
			return sibling;
		default:						
			return e.nextSibling;
	}
}
function setImageSrcs(e, s)
{
	if(e.className == 'NavImage' && 
			s.className == 'TypeImage')
	{
		if(e.src.indexOf("/plus.gif") != -1)
		{
			e.src = imgPath + "minus.gif";
			s.src = imgPath + "helpopen.gif";
		}else if(e.src.indexOf("/plusbottom.gif") != -1)
		{
			e.src = imgPath + "minusbottom.gif";
			s.src = imgPath + "helpopen.gif";
		}else if(e.src.indexOf("/plusonly.gif") != -1)
		{
			e.src = imgPath + "minusonly.gif";
			s.src = imgPath + "helpopen.gif";
		}else if(e.src.indexOf("/plustop.gif") != -1)
		{
			e.src = imgPath + "minustop.gif";
			s.src = imgPath + "helpopen.gif";
		}else if(e.src.indexOf("/minus.gif") != -1)
		{
			e.src = imgPath + "plus.gif";
			s.src = imgPath + "helpclosed.gif";
		}else if(e.src.indexOf("/minusbottom.gif") != -1)
		{
			e.src = imgPath + "plusbottom.gif";
			s.src = imgPath + "helpclosed.gif";
		}else if(e.src.indexOf("/minusonly.gif") != -1)
		{
			e.src = imgPath + "plusonly.gif";
			s.src = imgPath + "helpclosed.gif";
		}else if(e.src.indexOf("/minustop.gif") != -1)
		{
			e.src = imgPath + "plustop.gif";
			s.src = imgPath + "helpclosed.gif";
		}
	}
}

function clickHandler(){	
	var e = window.event.srcElement;
	var keyCode = window.event.keyCode;
	//alert(window.event.keyCode);
	//Set 40 and 38 later
	if(keyCode == 13 || 
		 keyCode == 0  || 
		 keyCode == 39 || 
		 keyCode == 37)
	{		
		if(e.nodeName == "BODY") return;
		
		//Get the Content Element to hide or display
		if(e.className != 'MenuItem' &&
			 e.className != 'MenuItemLink' && 
				e.className != 'TypeImage')
		{
			var sibling = getContentElement(e, keyCode);
			if(sibling != null)
				setMenuSectionContent(sibling);
			else
				return false;
		}
		
		/*
		Define the following:
		1. e = NavImage = plus or minus images
		2. s = TypeImage = folder open or closed
		*/
		if(e.className != 'TypeImage' &&
			 e.className != 'MenuItemLink')
		{
			var s;
			switch(e.className)
			{
				case 'MenuImages':
					s = e.children[1];
					e = e.firstChild;
					break;
				case 'MenuSectionTitle':
					s = e.parentElement.children[1];
					e = e.parentElement.firstChild;
					break;
				case 'MenuSection':			
					s = e.firstChild.children[1];
					e = e.firstChild.firstChild;
					break;
				case 'NavImage':
					s = e.parentElement.children[1];
					break;
			}
			setImageSrcs(e, s);			
		}		
	}
}

function mouseOverHandler(){
	var e = window.event.srcElement;
	var navImage = e.parentElement.children[1];
	
	if(e.className == 'MenuItemLink')
	{
	  SetStatusBar(e.title);
	  //navImage.src="images/menu/.gif";
		e.style.color = 'Red';
	}
}

function mouseOutHandler()
{
	var e = window.event.srcElement;
	var navImage = e.parentElement.children[1];
	
	if(e.className == 'MenuItemLink')
	{
	  SetStatusBar('');
		e.style.color = 'midnightblue';
	  //navImage.src="images/menu/help.gif";
	}
}

function SetStatusBar(text)
{
  parent.window.status = text;
}

document.onclick = clickHandler;
document.onkeydown = clickHandler;
document.onmouseover = mouseOverHandler;
document.onmouseout = mouseOutHandler;

