<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="NationalServiceAssignmentEdit.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.NationalServiceAssignmentEdit" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML 
xmlns:uc1>
  <HEAD>
		<title>National Service Assignment Add/Edit</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body>
		<p>
			<form id="ServiceAssignment" name="serviceForm" method="post" runat="server">
				<P align="left"><VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
				</P>
				<P align="left">
					<TABLE cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
						<TR>
							<TD vAlign="top" align="left" width="10%">&nbsp;
							</TD>
							<TD vAlign="top" align="middle" colSpan="3">
								<H3>
									National Service&nbsp;Codes
								</H3>
							</TD>
							<TD vAlign="top" align="right" width="10%">&nbsp;
							</TD>
						</TR>
						<TR>
							<TD vAlign="top" align="middle" colSpan="5">
								<asp:Label id="ErrorMessage" runat="server" ForeColor="Red" EnableViewState="False" Font-Bold="True" Font-Size="Larger"></asp:Label>
								<asp:label id="ConfirmationMessage" runat="server" ForeColor="Green" EnableViewState="False" Font-Bold="True" Font-Size="Larger"></asp:label>
							</TD>
						</TR>
					</TABLE>
				</P>
				<TABLE cellSpacing="0" cellPadding="3" width="border=1" align="center" border="0">
					<TR>
						<TD noWrap align="right" width=174>
							Edit an&nbsp;Existing Service <U>C</U>ode:
						</TD>
						<TD noWrap>
							<asp:dropdownlist id="ServiceCodeList" runat="server" accessKey="C"></asp:dropdownlist>
							<asp:button id="EditButton" runat="server" Text="Edit" accessKey="I" ToolTip="Allows you to edit an existing service record."></asp:button>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right" width=174>
							 or&nbsp;Create a&nbsp;New Service <U>C</U>ode
						</TD>
						<TD noWrap>
							<asp:button id="NewButton" runat="server" Text="New" accessKey="N" ToolTip="Allows you to add a new service record."></asp:button>
						</TD>
					</TR>
					<TR>
						<TD noWrap colSpan="2">
							<HR style="HEIGHT: 2px" width="100%" SIZE="2">
							&nbsp;
						</TD>
					</TR>
					<TR>
						<TD noWrap align="right" bgColor="#c0c0c0" width=174>
							<P align="left"><FONT color="red">(*) fields are required!</FONT></P>
						</TD>
						<TD noWrap bgColor="#c0c0c0"></TD>
					</TR>
  <TR>
    <TD noWrap align=right bgColor=#c0c0c0 width=174>Current Record:</TD>
    <TD noWrap bgColor=#c0c0c0><asp:Label id=RecordIdLabel runat="server">none</asp:Label></TD></TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="silver" width=174><FONT color="red">*</FONT> <U>S</U>ervice 
							Code:
						</TD>
						<TD noWrap bgColor="silver">
							<asp:textbox id="ServiceIdText" runat="server" MaxLength="4" BackColor="White" accessKey="S" ToolTip="Enter the service code." Width="186px"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0" width=174><FONT color="red">*</FONT> Na<U>m</U>e 
							of Service:
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:textbox id="ServiceNameText" runat="server" BackColor="White" accessKey="M" ToolTip="Enter the name of the service. Up to 22 characters are allowed." Width="185px" MaxLength="22"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0" width=174>
							A<U>b</U>breviation:
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:textbox id="ServiceAbbreviationText" runat="server" BackColor="White" accessKey="B" MaxLength="7" ToolTip="Enter the abbreviation for the service. Up to 7 characters are allowed." Width="186px"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap align="right" bgColor="#c0c0c0" width=174> Sub<U>d</U>ivision:
						</TD>
						<TD noWrap bgColor="#c0c0c0">
							<asp:textbox id="ServiceSubdivisionText" runat="server" BackColor="White" accessKey="D" MaxLength="12" ToolTip="Enter the name of the services subdivision. Up to 12 characters are allowed." Width="186px"></asp:textbox>
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap bgColor="#c0c0c0" width=174>
						</TD>
						<TD noWrap bgColor="#c0c0c0">
						</TD>
					</TR>
					<TR bgColor="#dcdcdc">
						<TD noWrap bgColor="#ffffff" width=174>
							<P align="right">
								<asp:button id="PostButton" runat="server" Enabled="False" Text="Post" accessKey="P" ToolTip="Saves the new or updated record."></asp:button>&nbsp;&nbsp;</P>
						</TD>
						<TD noWrap bgColor="#ffffff">
							&nbsp; <INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx'" type="button" value="Exit" name="ExitButton" accessKey="X" title="Exits the current screen and displays the initial VSS screen.">
						</TD>
					</TR>
				</TABLE>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<P>
				</P>
				<P align="left">
				</P>
				<P align="center">
					&nbsp;
					<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter>
				</P>
				<P align="left">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				</P>
			</form>
	</body>
</HTML>
