<%@ Page language="c#" Codebehind="ReportsVolunteersByOrganizationDataView.aspx.cs" AutoEventWireup="false" Inherits="VTK.National.ReportsVolunteersByOrganizationDataView" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>ReportsVolunteersByOrganizationDataView</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="ReportsVolunteersByOrganizationDataView" method="post" runat="server">
			<P>
				<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False" Visible="False"></VhaVtk:VtkPageHeader></P>
			<P align="center">
				<asp:label id="ErrorMessage" runat="server" Font-Bold="True" EnableViewState="False" ForeColor="Red"></asp:label></P>
			<P>
				<asp:Label id="KeyLabel" runat="server" BorderWidth="0px" Width="970px"></asp:Label></P>
			<P>
				<asp:Label id="NotesLabel" runat="server" Width="970px" BorderWidth="0px">Volunteer counts may be higher because volunteers may be associated with multiple stations.</asp:Label></P>
			<P>
				<asp:datagrid id="DataGrid" runat="server" BorderWidth="1px" GridLines="Vertical" CellPadding="3" BorderStyle="None" BorderColor="#999999" AutoGenerateColumns="False" ShowFooter="True" AllowSorting="True" BackColor="White" Height="193px">
					<SelectedItemStyle Font-Bold="True" ForeColor="White" BackColor="#008A8C"></SelectedItemStyle>
					<AlternatingItemStyle BackColor="Gainsboro"></AlternatingItemStyle>
					<ItemStyle ForeColor="Black" BackColor="#EEEEEE"></ItemStyle>
					<HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
					<FooterStyle Font-Bold="True" ForeColor="Yellow" BackColor="#000084"></FooterStyle>
					<Columns>
						<asp:BoundColumn DataField="StationNumber" HeaderText="Station Number" DataFormatString="{0:d}">
							<HeaderStyle Width="90px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="NameOfInstitution" HeaderText="Station Name" FooterText="The list ends here...">
							<HeaderStyle Width="120px"></HeaderStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="OrganizationName" HeaderText="Organization Name"></asp:BoundColumn>
						<asp:BoundColumn DataField="Code" HeaderText="Org Code"></asp:BoundColumn>
						<asp:BoundColumn DataField="Abbreviation" HeaderText="Org Abbr"></asp:BoundColumn>
						<asp:BoundColumn DataField="FullNameForReports" HeaderText="Volunteer"></asp:BoundColumn>
						<asp:BoundColumn DataField="StreetAddress1" HeaderText="Street Address 1"></asp:BoundColumn>
						<asp:BoundColumn DataField="StreetAddress2" HeaderText="Street Address 2"></asp:BoundColumn>
						<asp:BoundColumn DataField="City" HeaderText="City"></asp:BoundColumn>
						<asp:BoundColumn DataField="StateName" HeaderText="State"></asp:BoundColumn>
						<asp:BoundColumn DataField="Zipcode" HeaderText="Zip"></asp:BoundColumn>
						<asp:BoundColumn DataField="TotalHoursWorkedinYear" HeaderText="Yearly Hours" DataFormatString="{0:N0}"></asp:BoundColumn>
						<asp:BoundColumn DataField="TotalHoursServed" HeaderText="Total Hours" DataFormatString="{0:N0}"></asp:BoundColumn>
					</Columns>
					<PagerStyle Visible="False" HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" Mode="NumericPages"></PagerStyle>
				</asp:datagrid></P>
		</form>
	</body>
</HTML>
