<%@ Register TagPrefix="uc1" TagName="VolunteerChooserControl" Src="../Volunteer/VolunteerChooserControl.ascx" %>
<%@ Page language="c#" Codebehind="GamesAddressLabels.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.GamesAddressLabels" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>GamesAddressLabels</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="GamesAddressLabels" onsubmit="Set_Blank()" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<P>
				<TABLE id="Table1" cellSpacing="0" cellPadding="0" width="100%" align="center" border="0">
					<TR>
						<TD vAlign="top" align="middle" colSpan="3">
							<H3>Address Labels (Games)&nbsp;
							</H3>
						</TD>
					</TR>
					<TR>
						<TD vAlign="top" align="middle" colSpan="3"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label></TD>
					</TR>
				</TABLE>
			</P>
			<P><asp:customvalidator id="SelectByValidator" runat="server" ErrorMessage="CustomValidator" ControlToValidate="SelectBy" ClientValidationFunction="Set_NoBlank" Display="None"></asp:customvalidator></P>
			<P align="center"><asp:comparevalidator id="CompareValidator1" runat="server" Font-Bold="True" ErrorMessage="From Age cannot be greater than To Age." ControlToValidate="AgeRangeTo" ControlToCompare="AgeRangeFrom" Operator="GreaterThanEqual" Type="Integer"></asp:comparevalidator></P>
			<P align="center"><asp:customvalidator id="OrganizationServiceListValidator" runat="server" Font-Bold="True" ErrorMessage="Please Select an Organization or Service." ControlToValidate="OrgSvcList" ClientValidationFunction="Set_NoBlank"></asp:customvalidator></P>
			<P align="center"><asp:panel id="PrintPanel" runat="server" Height="120px" Width="688px">
					<TABLE id="Table2" style="WIDTH: 661px; HEIGHT: 809px" cellSpacing="3" cellPadding="3" border="0">
						<TR>
							<TD style="WIDTH: 202px; HEIGHT: 99px" vAlign="top" align="right">
								<P><STRONG></STRONG>&nbsp;</P>
								<P><STRONG>Select Game:</STRONG>
								</P>
							</TD>
							<TD style="HEIGHT: 99px" colSpan="2">
								<asp:listbox id="GamesListBox" runat="server" Height="88px" Width="319px" AutoPostBack="True"></asp:listbox></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 202px" vAlign="top" align="right"><STRONG>Select Labels&nbsp;By:</STRONG>
							</TD>
							<TD vAlign="top" noWrap align="left">
								<asp:dropdownlist id="SelectBy" runat="server" AutoPostBack="True">
									<asp:ListItem Value="Age Range">Age Range</asp:ListItem>
									<asp:ListItem Value="Organization">Organization</asp:ListItem>
									<asp:ListItem Value="Service">Service</asp:ListItem>
									<asp:ListItem Value="Selected Volunteers">Selected Volunteers</asp:ListItem>
									<asp:ListItem Value="All">All Volunteers</asp:ListItem>
									<asp:ListItem Value="VAVS">All VAVS Reps</asp:ListItem>
								</asp:dropdownlist>&nbsp;
							</TD>
							<TD vAlign="top" noWrap align="left">
								<asp:panel id="AgeRangePanel" runat="server">From:&nbsp; 
<asp:DropDownList id="AgeRangeFrom" runat="server"></asp:DropDownList>&nbsp;&nbsp;to: 
<asp:DropDownList id="AgeRangeTo" runat="server"></asp:DropDownList></asp:panel></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 202px" vAlign="top" align="right"></TD>
							<TD vAlign="top" noWrap align="left">
								<asp:dropdownlist id="BirthMonthList" runat="server" Visible="False">
									<asp:ListItem Value="1">January</asp:ListItem>
									<asp:ListItem Value="2">February</asp:ListItem>
									<asp:ListItem Value="3">March</asp:ListItem>
									<asp:ListItem Value="4">April</asp:ListItem>
									<asp:ListItem Value="5">May</asp:ListItem>
									<asp:ListItem Value="6">June</asp:ListItem>
									<asp:ListItem Value="7">July</asp:ListItem>
									<asp:ListItem Value="8">August</asp:ListItem>
									<asp:ListItem Value="9">September</asp:ListItem>
									<asp:ListItem Value="10">October</asp:ListItem>
									<asp:ListItem Value="11">November</asp:ListItem>
									<asp:ListItem Value="12">December</asp:ListItem>
								</asp:dropdownlist>
								<asp:dropdownlist id="OrgSvcList" runat="server" Visible="False"></asp:dropdownlist></TD>
							<TD vAlign="top" noWrap align="left"></TD>
						</TR>
						<TR>
							<TD colSpan="3">
								<asp:Panel id="GameVolunteersPanel" runat="server" Height="137px" Width="580px" HorizontalAlign="Center">
									<H4>Current Registered Volunteers</H4>
									<P>
										<asp:panel id="SearchPanel" runat="server" Height="32px" Width="596px">Search&nbsp;by 
<asp:dropdownlist id="SearchOptionList" runat="server">
												<asp:ListItem Value="FullNameForReports">Name</asp:ListItem>
												<asp:ListItem Value="SocialSecurityNumber">SSN</asp:ListItem>
												<asp:ListItem Value="NameOfInstitution">Station</asp:ListItem>
											</asp:dropdownlist>&nbsp;for 
<asp:textbox id="SearchText" runat="server"></asp:textbox>&nbsp; 
<INPUT id="btnSearch" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Search');" type="button" value="Search" name="btnSearch">&nbsp;&nbsp; 
<INPUT id="btnReset" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Reset');" type="button" value="Reset" name="btnReset"></asp:panel></P>
									<DIV align="center">
										<asp:datagrid id="GameVolunteersGrid" runat="server" Width="645px" AllowPaging="True" BorderStyle="Solid" AllowSorting="True" HorizontalAlign="Center" AutoGenerateColumns="False">
											<SelectedItemStyle BackColor="Highlight"></SelectedItemStyle>
											<AlternatingItemStyle BackColor="Silver"></AlternatingItemStyle>
											<HeaderStyle Font-Bold="True" Wrap="False" ForeColor="White" VerticalAlign="Middle" BackColor="Navy"></HeaderStyle>
											<Columns>
												<asp:BoundColumn Visible="False" DataField="Id" HeaderText="Id"></asp:BoundColumn>
												<asp:BoundColumn Visible="False" DataField="VolunteerId" HeaderText="VolunteerId"></asp:BoundColumn>
												<asp:BoundColumn Visible="False" DataField="StationId" HeaderText="VolStationId"></asp:BoundColumn>
												<asp:BoundColumn Visible="False" DataField="StationProfileId" HeaderText="VolProfileId"></asp:BoundColumn>
												<asp:EditCommandColumn ButtonType="PushButton" UpdateText="Update" CancelText="" EditText="Display"></asp:EditCommandColumn>
												<asp:BoundColumn DataField="FullNameForReports" HeaderText="Name"></asp:BoundColumn>
												<asp:BoundColumn DataField="SocialSecurityNumber" HeaderText="SSN"></asp:BoundColumn>
												<asp:BoundColumn DataField="NameOfInstitution" HeaderText="Station"></asp:BoundColumn>
											</Columns>
											<PagerStyle Visible="False" NextPageText="" Height="2px" BorderColor="Black" PrevPageText="" Position="TopAndBottom"></PagerStyle>
										</asp:datagrid>
										<asp:panel id="PagerPanel" runat="server" Height="31px" Width="597px">
											<TABLE id="Table4" style="WIDTH: 590px; HEIGHT: 34px" cellSpacing="0" cellPadding="0" border="0">
												<TR>
													<TD>
														<INPUT id="btnFirst" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('First');" type="button" value="<< First" name="btnFirst"></TD>
													<TD style="WIDTH: 94px">
														<INPUT id="btnPrev" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Prev');" type="button" value="< Prev" name="btnPrev"></TD>
													<TD align="middle"><STRONG>Page</STRONG>&nbsp;
														<asp:TextBox id="CurrentPage" runat="server" Width="22px"></asp:TextBox>&nbsp;<STRONG>of</STRONG>
														<asp:Label id="PageCount" runat="server" Font-Size="X-Small" Font-Bold="True">Count</asp:Label>&nbsp;
														<INPUT id="BtnGo" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Go');" type="button" value="Go >" name="btnGo"></TD>
													<TD style="WIDTH: 94px">
														<INPUT id="btnNext" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Next');" type="button" value="Next >" name="btnNext"></TD>
													<TD>
														<INPUT id="btnLast" style="WIDTH: 68px; HEIGHT: 24px" onclick="Set_NoBlankWithPost('Last');" type="button" value="Last >>" name="btnLast"></TD>
												</TR>
											</TABLE>
										</asp:panel></DIV>
									<DIV align="center">
										<INPUT id="btnExit" title="Exits the current screen and returns to the Edit Volunteer screen." accessKey="X" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" size="25" value="Exit" name="ExitButton">
										<asp:label id="RecordLabel" runat="server" Visible="False"></asp:label></DIV>
								</asp:Panel></TD>
						</TR>
						<TR>
							<TD style="WIDTH: 202px" align="right">
								<P><STRONG></STRONG>&nbsp;</P>
								<P><STRONG>Print Format:</STRONG>
								</P>
							</TD>
							<TD colSpan="2">
								<TABLE id="Table3" cellSpacing="0" cellPadding="0" border="0">
									<TR>
										<TD vAlign="center">
											<asp:radiobuttonlist id="PrintFormatList" runat="server">
												<asp:ListItem Value="Web" Selected="True">Web</asp:ListItem>
												<asp:ListItem Value="Acrobat">Acrobat</asp:ListItem>
												<asp:ListItem Value="Excel">Excel</asp:ListItem>
												<asp:ListItem Value="Word">Word</asp:ListItem>
											</asp:radiobuttonlist></TD>
										<TD>&nbsp;
											<asp:button id="PrintButton" runat="server" Font-Bold="True" Height="40px" Width="80px" Text="Display" ToolTip="Displays the report in the format of your choice."></asp:button></TD>
									</TR>
								</TABLE>
							</TD>
						</TR>
					</TABLE>
				</asp:panel></P>
			<P></P>
			<P align="center"><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
		</form>
	</body>
</HTML>
