<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Page language="c#" Codebehind="Reports.aspx.cs" AutoEventWireup="false" Inherits="VTK.Reports.Reports" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>Volunteer Reports Index</title>
		<meta name="GENERATOR" Content="Microsoft Visual Studio 7.0">
		<meta name="CODE_LANGUAGE" Content="C#">
		<meta name="vs_defaultClientScript" content="JavaScript (ECMAScript)">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="../includes/vm.css" type="text/css" rel="stylesheet">
  </HEAD>
	<body MS_POSITIONING="FlowLayout">
		<form id="Reports" method="post" runat="server">
			<VhaVtk:VtkPageHeader id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VhaVtk:VtkPageHeader>
			<H2 align="center">
				Volunteer Reports
			</H2>
			<P align="center">
				<asp:Label id="ErrorMessage" runat="server" Font-Bold="True" ForeColor="Red"></asp:Label>
			</P>
			<P align="center">
				<TABLE cellSpacing="3" cellPadding="3" border="2" borderColor="#6699ff">
					<TR>
						<TD>
							<P align="center"><STRONG>Run at&nbsp;Any Time</STRONG></P>
							<UL>
								<LI>
									<asp:HyperLink id="AddressLabels" runat="server" NavigateUrl="AddressLabels.aspx">Address Labels</asp:HyperLink>
								<LI>
									<asp:HyperLink id="HoursByOrganization" runat="server" NavigateUrl="HoursByOrganization.aspx">Hours By Organization</asp:HyperLink>
								<LI>
									<asp:HyperLink id="MealTicket" runat="server" NavigateUrl="MealTicket.aspx">Meal Ticket List/Form</asp:HyperLink>
								<LI>
									<asp:hyperlink id="OHRpt" runat="server" tooltip="Print Occasional Hours, by Date, Service or Organization" navigateurl="RptOccHr.aspx">Occasional Hours By Date, Organization or Service</asp:hyperlink>
								&nbsp;
								<LI>
									<asp:hyperlink id="OHRptSelectedOrg" runat="server" tooltip="Prints Summary Sheets, by Selected Organizations" navigateurl="RptSummarySheet.aspx">Occasional Hours By Selected Organization</asp:hyperlink>
								&nbsp;
								<LI>
									<asp:HyperLink id="SignedIn" runat="server" NavigateUrl="SignInList.aspx">Sign-In Code List</asp:HyperLink>
								&nbsp;
								<LI>
									<asp:HyperLink id="Telephone" runat="server" NavigateUrl="TelephoneList.aspx">Telephone List</asp:HyperLink></LI></UL>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center"><STRONG>Post-Monthly Rollup Reports</STRONG></P>
							<UL>
								<LI>
									<asp:HyperLink id="AlphabeticalVolunteers" runat="server" NavigateUrl="Alphabetical.aspx">Alphabetical Volunteers</asp:HyperLink>
								<LI>
									<asp:HyperLink id="PotentialAwards" runat="server" NavigateUrl="PotentialAwards.aspx">Potential Awards</asp:HyperLink>
								&nbsp;
								<LI>
									<asp:hyperlink id="RSVolunteersMonthly" runat="server" tooltip="Print Regular Scheduled Volunteers Monthly Detail Report by Organization " navigateurl="RegularlyScheduledMonthly.aspx"> Regularly Scheduled Volunteers</asp:hyperlink>
									&nbsp;
								</LI>
							</UL>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center"><STRONG>Post-FY Reports<BR>
								</STRONG>(run after last monthly roll-up of FY)</P>
							<UL>
								<LI>
									<asp:HyperLink id="Annual" runat="server" NavigateUrl="Annual.aspx">Annual Volunteer List</asp:HyperLink></LI></UL>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center"><STRONG>Voluntary Service Directory Reports</STRONG></P>
							<UL>
								<LI>
									<asp:HyperLink id="DirectoryLabels" runat="server" NavigateUrl="VSDDirectoryLabels.aspx">Directory Labels</asp:HyperLink>
								<LI>
									<asp:HyperLink id="ProgramsSupervised" runat="server" NavigateUrl="VSDProgramsSupervised.aspx">Supervised Programs</asp:HyperLink>
								<LI>
									<asp:HyperLink id="ServiceChiefs" runat="server" NavigateUrl="VSDServiceChiefs.aspx">Service Chiefs</asp:HyperLink>
								<LI>
									<asp:HyperLink id="ServiceDirectory" runat="server" NavigateUrl="VSDServiceDirectory.aspx">Service Directory</asp:HyperLink>
								<LI>
									<asp:HyperLink id="StationInformation" runat="server" NavigateUrl="VSDStationInformationDetail.aspx">Station Information Detail</asp:HyperLink>
								<LI>
									<asp:HyperLink id="StationInformationContactList" runat="server" NavigateUrl="VSDStationInformation.aspx">Station Information Contact List</asp:HyperLink></LI></UL>
						</TD>
					</TR>
					<TR>
						<TD>
							<P align="center"><STRONG>National Officials Reports</STRONG></P>
							<UL>
								<LI>
									<asp:HyperLink id="AnnualJointReview" runat="server" NavigateUrl="VNOAnnualJointReview.aspx">Annual Joint Review</asp:HyperLink>
								<LI>
									<asp:HyperLink id="MailingLabels" runat="server" NavigateUrl="VNONationalOfficialsLabels.aspx"> Labels</asp:HyperLink></LI></UL>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
