<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<%@ Page language="c#" Codebehind="VolunteerChooser.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerChooser" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
  <HEAD>
		<title>Select a Volunteer</title>
<meta content="Microsoft Visual Studio 7.0" name=GENERATOR>
<meta content=C# name=CODE_LANGUAGE>
<meta content="JavaScript (ECMAScript)" name=vs_defaultClientScript>
<meta content=http://schemas.microsoft.com/intellisense/ie5 name=vs_targetSchema>
<LINK href="/Vtk/Includes/vm.css" type=text/css rel=stylesheet >
  </HEAD>
<body>
<DIV align=center>
<form id=VolunteerChooser method=post runat="server">
<P><VhaVtk:VtkPageHeader id=VtkPageHeader1 runat="server"></VhaVtk:VtkPageHeader></P>
<H3 align=center>Select a Volunteer </H3>
<P align=center><asp:label id=ErrorMessage runat="server" EnableViewState="False" ForeColor="Red" Font-Bold="True" Font-Size="Larger"></asp:label><asp:validationsummary id=ValidationSummary1 runat="server" DisplayMode="List"></asp:validationsummary><asp:label id=ConfirmationMessage runat="server" EnableViewState="False" ForeColor="Green" Font-Size="Larger"></asp:label></P>
<DIV align=center>
<TABLE cellSpacing=1 cellPadding=1 align=center border=0>
  <TR>
    <TD>
      <TABLE cellSpacing=5 cellPadding=5 border=0>
        <TR>
          <TD align=middle bgColor=#6699ff colSpan=4 
            ><STRONG>First</STRONG> 
            ,&nbsp;narrow down the list of Volunteers to choose from, 
            by&nbsp;partial name, an SSN&nbsp;or Code. </TD></TR>
        <TR>
          <TD vAlign=top align=right></TD>
          <TD vAlign=top align=right>First&nbsp;3 or 
            more&nbsp;characters of Volunteer's <STRONG 
            >LAST NAME</STRONG>: </TD>
          <TD vAlign=top><asp:textbox id=NameText runat="server" tooltip="Enter the first three or more characters of the volunteer's last name, and then click List by Name." MaxLength="30"></asp:textbox></TD>
          <TD vAlign=top><asp:button id=RefreshNameButton runat="server" tooltip="Displays the names of the volunteers whose last name or partial last name matches the one you entered." Text="List by Name" width="182"></asp:button></TD></TR>
        <TR>
          <TD vAlign=top align=right>&nbsp; </TD>
          <TD vAlign=top align=right><asp:regularexpressionvalidator id=SSNValidator runat="server" ErrorMessage="SSN must be 9 digits, dashes are optional" Display="None" ControlToValidate="SSNText" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}"></asp:regularexpressionvalidator>Or, 
            enter the Volunteer's <STRONG>SSN</STRONG>: </TD>
          <TD vAlign=top noWrap><asp:textbox id=SSNText runat="server" tooltip="Enter the volunteer's Social Security Number, and then click List by SSN. Nine digits are required and hyphens are optional." MaxLength="11"></asp:textbox><asp:regularexpressionvalidator id=SSNValidator2 runat="server" ErrorMessage="!" ValidationExpression="\d{3}-{0,1}\d{2}-{0,1}\d{4}" ControlToValidate="SSNText"></asp:regularexpressionvalidator></TD>
          <TD vAlign=top><asp:button id=RefreshSSNButton runat="server" tooltip="Displays the names of the volunteers whose Social Security Number matches the one you entered." Text="List by SSN" width="182"></asp:button></TD></TR>
        <TR>
          <TD vAlign=top align=right>&nbsp; </TD>
          <TD vAlign=top align=right>Or, enter the 
            <STRONG>first letter</STRONG> of the 
            Volunteer's last name and the last 4 digits of <STRONG 
            >SSN</STRONG>: </TD>
          <TD vAlign=top noWrap><asp:textbox id=CodeText runat="server" MaxLength="5" ToolTip="Enter the first letter of the volunteer's last name and the last 4 digits of volunteers Social Security Number, and then click List by Code."></asp:textbox><asp:regularexpressionvalidator id=CodeValidator2 runat="server" ErrorMessage="!" ValidationExpression="\D{1}\d{4}" ControlToValidate="CodeText"></asp:regularexpressionvalidator></TD>
          <TD vAlign=top><asp:button id=RefreshCodeButton runat="server" tooltip="Displays the names of the volunteers whose code matches the one you entered." Text="List by Code" width="182"></asp:button>
            <P><asp:regularexpressionvalidator id=CodeValidator runat="server" ErrorMessage="Volunteer's Code must be a single alpha character followed by 4 digits." Display="None" ControlToValidate="CodeText" ValidationExpression="\D{1}\d{4}"></asp:regularexpressionvalidator></P></TD></TR>
        <TR>
          <TD style="HEIGHT: 22px" align=middle bgColor=#6699ff colSpan=4 
          ><STRONG>Then</STRONG> 
            , after you press one of the&nbsp;List buttons,&nbsp;choose 
            a&nbsp;Volunteer from the list below. </TD></TR>
        <TR>
          <TD vAlign=top align=right rowSpan=2></TD>
          <TD vAlign=top align=right rowSpan=2>
            <P>Choose a&nbsp;Volunteer from the list: </P>
            <P><asp:listbox id=TermList runat="server" Enabled="False" Visible="False"></asp:listbox></P>
            <P>&nbsp;</P></TD>
          <TD vAlign=top noWrap rowSpan=2><asp:listbox id=VolunteerList runat="server" Enabled="False" Rows="12"></asp:listbox></TD>
          <TD vAlign=top>
            <P><asp:button id=ChooseButton runat="server" tooltip="Retrieves and displays the selected volunteers record. " Text="Choose" Enabled="False" Width="60px"></asp:button></P>
            <P>
			<!-- <asp:button id="CancelButton" runat="server" tooltip="Return to your previous page without selecting a Volunteer." Text="Exit" Width="109"></asp:button> -->
			<INPUT id="ExitButton" onclick="window.location.href='/vtk/welcome.aspx' + '?StationId=' + form.StationId.value" type="button" value="Exit" name="ExitButton" accesskey="X"> 
            </P></TD></TR>
        <TR>
          <TD vAlign=bottom><asp:button id=GetMoreButton runat="server" Text="Get More" ToolTip="Displays the next set of volunteer names within the volunteer list. This button is only available if the total number of volunteer names that match the search criteria is greater than 50." Enabled="False" Width="61px"></asp:button></TD></TR>
        <TR>
          <TD align=right></TD>
          <TD align=right></TD>
          <TD colSpan=2>&nbsp; 
  </TD></TR></TABLE></TD></TR></TABLE></DIV></form></DIV>
<P align=center><uc1:pagefooter id=PageFooter1 runat="server"></uc1:pagefooter></P>
<P align=center></P>
	</body>
</HTML>
