<%@ Page language="c#" Codebehind="VolunteerStationAdjustment.aspx.cs" AutoEventWireup="false" Inherits="VTK.Volunteer.VolunteerStationAdjustment" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="../Utility/PageFooter.ascx" %>
<%@ Register TagPrefix="vhavtk" Namespace="Vha.Vtk.WebControlLibrary" Assembly="Vha.Vtk.WebControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<title>VolunteerStationAdjustment</title>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="../Includes/vm.css" type="text/css" rel="stylesheet">
	</HEAD>
	<body>
		<form id="VolunteerStationAdjustment" method="post" runat="server">
			<P><VHAVTK:VTKPAGEHEADER id="VtkPageHeader1" runat="server" ChangeEnabled="False"></VHAVTK:VTKPAGEHEADER></P>
			<H3 align="center">Adjusted Hours&nbsp;
			</H3>
			<P align="center"><asp:label id="ErrorMessage" runat="server" Font-Size="Larger" Font-Bold="True" ForeColor="Red" EnableViewState="False"></asp:label><asp:label id="ConfirmationMessage" runat="server" Font-Size="Larger" ForeColor="Green" EnableViewState="False"></asp:label><asp:validationsummary id="ValidationSummary1" runat="server" DisplayMode="List"></asp:validationsummary></P>
			<P align="center">
				<TABLE id="Table1" style="WIDTH: 531px; HEIGHT: 399px" width="531" bgColor="#dcdcdc" border="0" DESIGNTIMEDRAGDROP="80">
					<TR>
						<TD bgColor="#6699ff" colSpan="2">
							<P align="center"><STRONG>Volunteer Name: </STRONG><STRONG>
									<asp:label id="VolunteerNameLabel" runat="server">Volunteer</asp:label></STRONG></P>
						</TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px"></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px"><FONT color="red">(*) fields are required!</FONT></TD>
						<TD></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right">Current Record Id<STRONG>:</STRONG>
							</P>
						</TD>
						<TD><asp:label id="IdLabel" runat="server"></asp:label></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Date:</P>
						</TD>
						<TD><VHAVTK:VTKCOMPOSITEDATE id="AdjustmentDate" runat="server"></VHAVTK:VTKCOMPOSITEDATE></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Hours:</P>
						</TD>
						<TD><asp:textbox id="HoursText" runat="server" ToolTip="Enter the number of adjusted hours for this volunteer. Up to 5 digits are allowed.  The number can be preceded by '-' to signify a negative number." Width="80px" MaxLength="6"></asp:textbox><asp:regularexpressionvalidator id="HoursValidator" runat="server" ErrorMessage="Hours must be 1 to 5 digits and can be preceded by '-' to signify a negative number." ControlToValidate="HoursText" ValidationExpression="-?\d{1,5}" CssClass="Validator">!</asp:regularexpressionvalidator></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right"><FONT color="red">*</FONT> Description:</P>
						</TD>
						<TD><asp:textbox id="DescriptionText" runat="server" ToolTip="Enter a description for this adjustment.  Up to 255 characters are allowed." Height="50px" Width="341px" TextMode="MultiLine" MaxLength="255"></asp:textbox></TD>
					</TR>
					<TR>
						<TD style="WIDTH: 235px">
							<P align="right">&nbsp;</P>
						</TD>
						<TD></TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff" colSpan="2">
							<P align="center"><asp:button id="PostButton" runat="server" Text="Post" ToolTip="Saves the new record."></asp:button>&nbsp;&nbsp;&nbsp;
								<asp:button id="NewButton" runat="server" Text="Clear" ToolTip="Clear fields in order to enter a new Adjustment."></asp:button>&nbsp; 
								&nbsp; <INPUT id="ExitButton" title="Exits the current screen and returns to the Station Profile screen." accessKey="X" onclick="window.location.href='/vtk/volunteer/VolunteerStationEdit.aspx' + '?StationId=' + form.StationId.value + '&amp;volId=' + form.volId.value + '&amp;volName=' + form.volName.value" type="button" value="Exit" name="ExitButton">&nbsp;
							</P>
						</TD>
					</TR>
					<TR>
						<TD bgColor="#ffffff" colSpan="2">
							<P align="center"><STRONG>Adjustments for this Volunteer</STRONG></P>
							<P align="center">
								<asp:datagrid id="AdjustmentGrid" runat="server" Width="520px" AutoGenerateColumns="False">
									<HeaderStyle BackColor="Aqua"></HeaderStyle>
									<Columns>
										<asp:BoundColumn DataField="AdjustmentDate" HeaderText="Date" DataFormatString="{0:d}"></asp:BoundColumn>
										<asp:BoundColumn DataField="AdjustmentHours" HeaderText="Hours"></asp:BoundColumn>
										<asp:BoundColumn DataField="AdjustmentDescription" HeaderText="Description"></asp:BoundColumn>
									</Columns>
								</asp:datagrid></P>
						</TD>
					</TR>
				</TABLE>
			</P>
			<P align="center">
				<uc1:PageFooter id="PageFooter1" runat="server"></uc1:PageFooter></P>
		</form>
	</body>
</HTML>
