<%@ Page language="c#" Codebehind="login.aspx.cs" AutoEventWireup="false" Inherits="VtkUser.login" EnableSessionState="False" %>
<%@ Register TagPrefix="uc1" TagName="SecurityPanel" Src="Utility/SecurityPanel.ascx" %>
<%@ Register TagPrefix="uc1" TagName="SecurityPanelFull" Src="Utility/SecurityPanelFull.ascx" %>
<%@ Register TagPrefix="uc1" TagName="PageFooter" Src="Utility/PageFooter.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	<HEAD>
		<TITLE>Volunteer Login</TITLE>
		<meta content="Microsoft Visual Studio 7.0" name="GENERATOR">
		<meta content="C#" name="CODE_LANGUAGE">
		<meta content="JavaScript (ECMAScript)" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="vm.css" type="text/css" rel="stylesheet">
		<script language="javascript">

			function CheckAndSubmit(objSource, objArgs) {
				if(document.forms[0].requestSubmitted.value == "true") {
					alert("You have already submitted " + 
						"the request.. Please wait");
						return;
					}
				document.forms[0].requestSubmitted.value = "true";
			}

		</script>
	</HEAD>
	<body id="myBody" MS_POSITIONING="FlowLayout" runat="server">
		<center>
			<form id="myForm" method="post" runat="server">
				<TABLE cellSpacing="3" cellPadding="3" border="0">
					<TR>
						<TD>&nbsp;<IMG src="Images/USA.gif">
						</TD>
						<TD>
							<H2><asp:label id="HeadingLabel" runat="server">Welcome Volunteers</asp:label></H2>
							<H3 align="center"><asp:Label id="StationNameLabel" runat="server" Visible="False">Station Name</asp:Label></H3>
						</TD>
						<TD>&nbsp;<IMG src="Images/USA.gif">
						</TD>
					</TR>
				</TABLE>
				<P>
					<asp:label id="ErrorMessage" runat="server" EnableViewState="False" Font-Bold="True" ForeColor="Red"></asp:label><BR>
					<asp:panel id="LoginPanel" runat="server" Visible="False">
						<H4>
							<asp:TextBox id="IntroductoryText" runat="server" Font-Bold="True" Width="340px" ReadOnly="True" Rows="4" Height="75px" TextMode="MultiLine"></asp:TextBox></H4>
						<P>
							<asp:Label id="IdentifyingCodeLabel" runat="server">Enter your identifying code:</asp:Label>
							<asp:TextBox id="Username" runat="server" TextMode="Password" MaxLength="9" ToolTip="Identifying code is the first character of your last name and the last 4 digits from your SSN."></asp:TextBox>&nbsp;
							<asp:Button id="LoginButton" runat="server" Font-Bold="True" Height="30px" Text="Login" BackColor="Lime"></asp:Button>&nbsp;</P>
						<P>
							<asp:LinkButton id="LanguageButton" tabIndex="9" runat="server" CommandName="Language" CommandArgument="es">en Espanol</asp:LinkButton><BR>
							<asp:CheckBox id="RememberLanguage" runat="server" Height="19px" Text="remember my language choice for the rest of the pages next time" Font-Size="Smaller"></asp:CheckBox><BR>
						</P>
					</asp:panel><asp:panel id="DivisionPanel" runat="server" Visible="False">
						<P>Choose Station:&nbsp;
							<asp:DropDownList id="DivisionList" runat="server"></asp:DropDownList>&nbsp;
							<asp:Button id="DivisionButton" tabIndex="2" runat="server" Font-Bold="True" Text="Choose" BackColor="Lime"></asp:Button></P>
						<P>Note: You are seeing this page because the URL you're using to access this page 
							either:
						</P>
						<UL>
							<LI>
							Does not contain a URL parameter telling what station to load
							<LI>
								Contains an invalid URL parameter telling what station to load
							</LI>
						</UL>
					</asp:panel><asp:panel id="ConfirmPanel" runat="server" Visible="False">
						<P>
							<TABLE cellSpacing="1" cellPadding="4" width="75%" bgColor="#ffffcc" border="1">
								<TR>
									<TD align="middle">
										<P>
											<asp:label id="ConfirmMessage" runat="server" ForeColor="Green"></asp:label></P>
										<P>
											<asp:HyperLink id="ConfirmUrl" tabIndex="10" runat="server"></asp:HyperLink></P>
									</TD>
								</TR>
							</TABLE>
						</P>
					</asp:panel><asp:panel id="MultipleMatchPanel" runat="server" Visible="False">
						<asp:Label id="MultipleMatchLabel" runat="server">Please select your Volunteer account:</asp:Label>
						<P></P>
						<asp:DataGrid id="DataGrid1" tabIndex="1" runat="server" ShowHeader="False" AllowPaging="False" GridLines="Horizontal" CellPadding="4" CellSpacing="4" BorderStyle="None" AutoGenerateColumns="False">
							<Columns>
								<asp:BoundColumn Visible="False" DataField="Id"></asp:BoundColumn>
								<asp:BoundColumn DataField="DisplayName">
									<ItemStyle Font-Bold="True" HorizontalAlign="Right"></ItemStyle>
								</asp:BoundColumn>
								<asp:ButtonColumn Text="Select" ButtonType="PushButton" CommandName="Select"></asp:ButtonColumn>
							</Columns>
						</asp:DataGrid>
						<P>
							<asp:Button id="MatchCancelButton" runat="server" Text="Cancel"></asp:Button></P>
					</asp:panel>
				<P></P>
				<P>
					<asp:textbox id="txtBox" runat="server" Width="54px">false</asp:textbox>
					<INPUT id="requestSubmitted" style="WIDTH: 45px; HEIGHT: 22px" type="hidden" size="2" name="requestSubmitted" runat="server"></P>
				<P>
					<asp:customvalidator id="CustomValidator1" runat="server" ErrorMessage="CustomValidator" Width="15px" ControlToValidate="txtBox" ClientValidationFunction="CheckAndSubmit"></asp:customvalidator><uc1:pagefooter id="PageFooter1" runat="server"></uc1:pagefooter></P>
				<P>
					<asp:HyperLink id="SurveyLink" runat="server" Width="175px" Height="109px" BorderStyle="Dashed" ImageUrl="Images/SurveyImage2.jpg" BorderColor="#C04000" BorderWidth="1px" Target="_blank" NavigateUrl="http://vaww1.va.gov/volunteer/page.cfm?pg=85">HyperLink</asp:HyperLink>
				</P>
			</form>
		</center>
	</body>
</HTML>
